Index: anches/LMDZ_WRFmeas/WRFV3/lmdz/Makefile
===================================================================
--- /branches/LMDZ_WRFmeas/WRFV3/lmdz/Makefile	(revision 269)
+++ 	(revision )
@@ -1,939 +1,0 @@
-SFC             =       gfortran
-SCC             =       gcc
-CCOMP           =       gcc
-DM_FC           =       mpif90 -f90=$(SFC)
-DM_CC           =       mpicc -cc=$(SCC)
-FC              =        $(SFC)
-CC              =       $(SCC) -DFSEEKO64_OK
-LD              =       $(FC)
-RWORDSIZE       =       $(NATIVE_RWORDSIZE)
-PROMOTION       =       # -fdefault-real-8  # uncomment manually
-ARCH_LOCAL      =       -DNONSTANDARD_SYSTEM_SUBR
-CFLAGS_LOCAL    =       -w -O3 -c -DLANDREAD_STUB
-LDFLAGS_LOCAL   =
-CPLUSPLUSLIB    =
-ESMF_LDFLAG     =       $(CPLUSPLUSLIB)
-FCOPTIM         =       -O3 -ftree-vectorize -ftree-loop-linear -funroll-loops 
-FCREDUCEDOPT    =       $(FCOPTIM)
-FCNOOPT         =       -O0
-FCDEBUG         =       -g $(FCNOOPT) -fbacktrace -Wall -fbounds-check
-FORMAT_FIXED    =       -ffixed-form
-FORMAT_FREE     =       -ffree-form -ffree-line-length-none
-FCSUFFIX        =
-BYTESWAPIO      =       -fconvert=big-endian -frecord-marker=4
-FCBASEOPTS_NO_G =       -w $(FORMAT_FREE) $(BYTESWAPIO)
-FCBASEOPTS      =       $(FCBASEOPTS_NO_G) $(FCDEBUG)
-MODULE_SRCH_FLAG =
-TRADFLAG        =      -traditional
-CPP             =      /lib/cpp -C -P
-AR              =      ar
-ARFLAGS         =      ru
-M4              =      m4 -G
-RANLIB          =      ranlib
-CC_TOOLS        =      $(SCC)
-
-.SUFFIXES: 
-.SUFFIXES: .F90 .f90 .o .mod 
-
-ARCHFLAGS       =    $(COREDEFS) -DIWORDSIZE=$(IWORDSIZE) -DDWORDSIZE=$(DWORDSIZE) -DRWORDSIZE=$(RWORDSIZE) -DLWORDSIZE=$(LWORDSIZE) \
-                     $(ARCH_LOCAL) \
-                     $(DA_ARCHFLAGS) \
-                      -DDM_PARALLEL \
-                      -DSTUBMPI \
-                      -DNETCDF \
-                      -DLMDZ \
-                      -DCPP_IOIPSL \
-                      -DhistNMC \
-                       \
-                       \
-                       \
-                       \
-                      -DUSE_ALLOCATABLES \
-                      -DGRIB1 \
-                      -DINTIO \
-                      -DLIMIT_ARGS \
-                      -DCONFIG_BUF_LEN=$(CONFIG_BUF_LEN) \
-                      -DMAX_DOMAINS_F=$(MAX_DOMAINS) \
-                      -DMAX_HISTORY=$(MAX_HISTORY) \
-                      -DNMM_NEST=$(WRF_NMM_NEST)
-
-FCLMDZFLAGS         =    $(FCOPTIM) $(FCBASEOPTS) -c
-
-NETCDFPATH      =    ${HOME}/bin/gcc_netcdf-4.3.0
-
-LIB_NETCDF    = -L${NETCDFPATH}/lib  -lnetcdf -lnetcdff 
-INC_NETCDF    = -I$(NETCDFPATH)/include
-
-WRFcode = ../tools/standard.exe
-
-#### end from configure.wrf
-
-
-LN      =       ln -sf
-MAKE    =       make -i -r
-RM      =       rm -f
-
-DIRECTLMDZOBJS = \
-		aero_mod.o \
-		albsno.o \
-		indice_sol_mod.o \
-		mod_grid_phy_lmdz.o \
-		ioipsl_errioipsl.o \
-		ioipsl_stringop.o \
-		dimphy.o \
-		phys_output_var_mod.o \
-		misc_mod.o \
-		vampir.o \
-		surface_data.o \
-		control_mod.o \
-		mod_const_mpi.o \
-		calbeta_clim.o \
-		comcstphy.o \
-		assert_m.o \
-		assert_eq_m.o \
-		interpolation.o \
-		coefcdrag.o \
-		screenp.o \
-		screenc.o \
-		iniorbit.o \
-		orbite.o \
-		orbite_mod.o \
-		clouds_gno.o \
-		ini_wake.o \
-		radiation_ar4_param.o \
-		evappot.o \
-		q_sat.o \
-		pres2lev_mod.o \
-		cv_routines.o \
-		cv30_routines.o \
-		cv3_routines.o \
-		cv3_mixscale.o \
-		cv3_vertmix.o \
-		cv3a_compress.o \
-		cv3a_uncompress.o \
-		cv3p_mixing.o \
-		cv3_buoy.o \
-		cv3_cine.o \
-		suphel.o \
-		zilch.o \
-		aeropt.o \
-		cv3_inip.o \
-		printflag.o \
-		iniradia.o \
-		cloudth.o \
-		thermcell_height.o \
-		thermcell_flux2.o \
-		thermcell_dq.o \
-		thermcell_dv2.o \
-		thermcell_qsat.o \
-		thermcell_plume.o \
-		thermcell_condens.o \
-		thermcell_dry.o \
-		thermcell_closure.o \
-		wrgrads.o \
-		formcoord.o \
-		gr_fi_dyn.o \
-		NOread_limit_sub_variables.o \
-		output_lmdz_NOmodule.o \
-		cray.o
-
-MODULES = \
-		comgeomphy.o \
-		open_climoz_m.o \
-		netcdf95.o \
-		mod_phys_lmdz_para.o \
-		mod_phys_lmdz_transfert_para.o \
-                mod_phys_lmdz_mpi_transfert.o \
-		mod_phys_lmdz_mpi_data.o \
-                mod_phys_lmdz_omp_transfert.o \
-		mod_phys_lmdz_omp_data.o \
-		phys_cal_mod.o \
-		regr_pr_av_m.o \
-		ozonecm_m.o \
-		regr1_step_av_m.o \
-		conf_phys_m.o \
-		radlwsw_m.o \
-		sw_aeroAR4.o \
-		write_field.o \
-		write_field_phy.o \
-		infotrac.o \
-		iophy.o \
-		clcdrag.o \
-		stdlevvar.o \
-		hbtm.o \
-		yamada_c.o \
-		pbl_surface_mod.o \
-		read_map2D.o \
-		carbon_cycle_mod.o \
-		surf_land_mod.o \
-		albedo.o \
-		surf_land_orchidee_noopenmp_mod.o \
-		cpl_mod.o \
-		atm2geo.o \
-		geo2atm.o \
-		oasis.o \
-		phys_state_var_mod.o \
-		surf_land_orchidee_mod.o \
-		mod_surf_para.o \
-		mod_synchro_omp.o \
-		surf_land_bucket_mod.o \
-		limit_read_mod.o \
-		fonte_neige_mod.o \
-		calcul_fluxs_mod.o \
-		calbeta.o \
-		soil.o \
-		surf_landice_mod.o \
-		surf_ocean_mod.o \
-		limit_slab.o \
-		ocean_forced_mod.o \
-		ocean_slab_mod.o \
-		ocean_cpl_mod.o \
-		surf_seaice_mod.o \
-		climb_hq_mod.o \
-		climb_wind_mod.o \
-		ustarhb.o \
-		vdif_kcay.o \
-		yamada.o \
-		yamada4.o \
-		coefkzmin.o \
-		coef_diff_turb_mod.o \
-		change_srf_frac_mod.o \
-		phys_local_var_mod.o \
-		phys_output_mod.o \
-		phys_output_ctrlout_mod.o \
-		cfmip_point_locations.o \
-		ioipsl_getincom.o \
-		abort_gcm.o \
-		plevel_new.o \
-		plevel.o \
-		orografi.o \
-		orografi_mod.o \
-		orografi_strato_mod.o \
-		nuage.o \
-		nuage_mod.o \
-		conflx.o \
-		radiation_AR4_mod.o \
-		add_phys_tend.o \
-		print_debug_phys.o \
-		hgardfou.o \
-		solarlong.o \
-		phyaqua.o \
-		phyaqua_mod.o \
-		concvl.o \
-		ajsec.o \
-		aaam_bud.o \
-		diagphy.o \
-		diagphy_mod.o \
-		readaerosolstrato.o \
-		mkstat.o \
-		readaerosol_optic.o \
-		aeropt_2bands.o \
-		aeropt_5wv.o \
-		readaerosol_interp.o \
-		readaerosol.o \
-		cva_driver.o \
-		cv_driver.o \
-		cv3p1_closure.o \
-		traclmdz_mod.o \
-		cltracrn.o \
-		radio_decay.o \
-		minmaxqfi.o \
-		initrrnpb.o \
-		init_be.o \
-		o3_chem_m.o \
-		regr_pr_comb_coefoz_m.o \
-		regr_pr_int_m.o \
-		regr1_lint_m.o \
-		press_coefoz_m.o \
-		iostart.o \
-		wstats.o \
-		inistats.o \
-		phyredem.o \
-		hines_gwd.o \
-		ini_undefSTD.o \
-		moy_undefSTD.o \
-		phyetat0.o \
-		transp.o \
-		undefSTD.o \
-		calwake.o \
-		wake.o \
-		newmicro.o \
-		calltherm.o \
-		thermcell_old.o \
-		wrgradsfi.o \
-		thermcell.o \
-		thermcellV0_main.o \
-		thermcell_env.o \
-		thermcell_main.o \
-		fisrtilp.o \
-		stratocu_if.o \
-		phystokenc.o \
-		initphysto.o \
-		ener_conserv.o \
-		tracinca_mod.o \
-		tracreprobus_mod.o \
-		cvltrorig.o \
-		cvltr.o \
-		nflxtr.o \
-		lsc_scav.o \
-		cltrac.o \
-		calcratqs.o \
-		iniphysiq.o \
-		conf_gcm.o \
-		init_phys_lmdz.o \
-		moyglo_aire.o \
-		global_mean.o \
-		wrf_lmdz_mod.o \
-		physiq_limit_variables_mod.o \
-		lmdz_wrf_variables_mod.o \
-		phytrac.o 
-
-DIRECTLMDZSRC = $(DIRECTLMDZOBJS:.o=.F90)
-LMDZSOURCES = $(MODULES:.o=.F90)
-LMDZPRE = $(MODULES:.o=.bb)
-LMDZPOST = $(MODULES:.o=.f90)
-LMDZMOD = $(MODULES:.o=.mod)
-
-NETCDF95OBJS = \
-		nf95_def_var_m.o \
-		nf95_put_var_m.o \
-		nf95_get_var_m.o \
-		nf95_gw_var_m.o \
-		nf95_put_att_m.o \
-		nf95_get_att_m.o \
-		simple.o \
-		handle_err_m.o
-
-NETCDF95SOURCES = $(NETCDF95OBJS:.o=.F90)
-NETCDF95PRE = $(NETCDF95OBJS:.o=.bb)
-NETCDF95POST = $(NETCDF95OBJS:.o=.f90)
-
-OBJS    = physiq.o 
-
-NMM_MODULES =  
-
-LIBTARGET    =  lmdz
-TARGETDIR    =  ./
-
-DIRECTIOIPSLMOD =	\
-        defprec.o \
-	errioipsl.o \
-	stringop.o \
-
-DEPIOIPSLMOD = 	\
-	mathelp.o \
-	getincom.o \
-	calendar.o \
-	fliocom.o \
-	flincom.o \
-	histcom.o \
-	restcom.o \
-	ioipsl.o 
-
-DIRECTIOIPSLSRC = $(DIRECTIOIPSLMOD:.o=.f90)
-
-IOIPSLFOLD = ./IOIPSL
-FULLIOIPSLMODS = $(addprefix $(IOIPSLFOLD)/,$(IOIPSLMOD))
-
-##include ../configure.wrf
-
-all : preprocess lmdz.a 
-
-lmdz.a:		$(MODULES) $(OBJS) $(DIRECTLMDZOBJS) $(DIRECTIOIPSLMOD) $(DEPIOIPSLMOD) $(NETCDF95OBJS)
-		/bin/rm -f lmdz.a
-		$(AR) cr lmdz.a $(MODULES) $(OBJS) $(DIRECTLMDZOBJS) $(DIRECTIOIPSLMOD) $(DEPIOIPSLMOD) $(NETCDF95OBJS)
-
-# IOIPSL
- 
-$(DIRECTIOIPSLMOD): 
-		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) $(addprefix $(IOIPSLFOLD)/,$(DIRECTIOIPSLSRC))
-
-calendar.o: stringop.o errioipsl.o
-		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) $(addprefix $(IOIPSLFOLD)/,calendar.f90)
-
-getincom.o: stringop.o errioipsl.o
-		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) $(addprefix $(IOIPSLFOLD)/,getincom.f90)
-
-mathelp.o: stringop.o errioipsl.o
-		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) $(addprefix $(IOIPSLFOLD)/,mathelp.f90)
-
-flincom.o: stringop.o errioipsl.o calendar.o
-		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) $(addprefix $(IOIPSLFOLD)/,flincom.f90)
-
-fliocom.o: stringop.o errioipsl.o calendar.o defprec.o
-		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) $(addprefix $(IOIPSLFOLD)/,fliocom.f90)
-
-histcom.o: stringop.o errioipsl.o calendar.o mathelp.o fliocom.o
-		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) $(addprefix $(IOIPSLFOLD)/,histcom.f90)
-
-restcom.o: stringop.o errioipsl.o calendar.o mathelp.o fliocom.o
-		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) $(addprefix $(IOIPSLFOLD)/,restcom.f90)
-
-ioipsl.o: $(DIRECTIOIPSLMOD) getincom.o calendar.o mathelp.o flincom.o fliocom.o histcom.o restcom.o 
-		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) $(addprefix $(IOIPSLFOLD)/,ioipsl.f90)
-
-# LMDZ
-#
-preprocess: $(LMDZPOST) $(NETCDF95POST)
-
-$(LMDZPOST): %.f90: %.bb
-		$(WRFcode) $< | $(CPP) > $@
-		rm $<
-
-$(LMDZPRE): %.bb: %.F90
-		$(CPP) $(ARCHFLAGS) $< > $@
-
-$(NETCDF95POST): %.f90: %.bb
-		$(WRFcode) $< | $(CPP) > $@
-		rm $<
-
-$(NETCDF95PRE): %.bb: %.F90
-		$(CPP) $(ARCHFLAGS) $< > $@
-
-$(DIRECTLMDZOBJS): 
-		$(FC) $(FCLMDZFLAGS) $(DIRECTLMDZSRC)
-
-infotrac.o: control_mod.o
-		$(FC) $(FCLMDZFLAGS) infotrac.f90
-
-
-mod_phys_lmdz_mpi_data.o: mod_const_mpi.o
-		$(FC) $(FCLMDZFLAGS) mod_phys_lmdz_mpi_data.f90
-
-ioipsl_getincom.o: ioipsl_errioipsl.o ioipsl_stringop.o
-		$(FC) $(FCLMDZFLAGS) ioipsl_getincom.f90
-
-abort_gcm.o: ioipsl.o ioipsl_getincom.o
-		$(FC) $(FCLMDZFLAGS) abort_gcm.f90
-
-write_field.o: 
-		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) write_field.f90
-
-mod_phys_lmdz_omp_data.o: dimphy.o
-		$(FC) $(FCLMDZFLAGS) mod_phys_lmdz_omp_data.f90
-
-mod_phys_lmdz_omp_transfert.o: mod_phys_lmdz_mpi_data.o mod_phys_lmdz_omp_data.o
-		$(FC) $(FCLMDZFLAGS) mod_phys_lmdz_omp_transfert.f90
-
-mod_phys_lmdz_mpi_transfert.o: mod_phys_lmdz_mpi_data.o mod_grid_phy_lmdz.o  mod_phys_lmdz_omp_transfert.o
-		$(FC) $(FCLMDZFLAGS) mod_phys_lmdz_mpi_transfert.f90
-
-mod_phys_lmdz_transfert_para.o: mod_phys_lmdz_mpi_transfert.o mod_phys_lmdz_omp_transfert.o
-		$(FC) $(FCLMDZFLAGS) mod_phys_lmdz_transfert_para.f90
-
-mod_phys_lmdz_para.o: mod_phys_lmdz_transfert_para.o mod_phys_lmdz_mpi_data.o mod_phys_lmdz_omp_data.o mod_grid_phy_lmdz.o
-		$(FC) $(FCLMDZFLAGS) mod_phys_lmdz_para.f90
-
-comgeomphy.o: mod_phys_lmdz_para.o
-		$(FC) $(FCLMDZFLAGS) comgeomphy.f90
-
-handle_err_m.o: 
-		$(FC) $(FCLMDZFLAGS)  $(LIB_NETCDF) $(INC_NETCDF) handle_err_m.f90
-
-nf95_def_var_m.o: handle_err_m.o
-		$(FC) $(FCLMDZFLAGS)  $(LIB_NETCDF) $(INC_NETCDF) nf95_def_var_m.f90
-
-nf95_put_var_m.o: handle_err_m.o
-		$(FC) $(FCLMDZFLAGS)  $(LIB_NETCDF) $(INC_NETCDF) nf95_put_var_m.f90
-
-nf95_get_var_m.o: handle_err_m.o
-		$(FC) $(FCLMDZFLAGS)  $(LIB_NETCDF) $(INC_NETCDF) nf95_get_var_m.f90
-
-simple.o: handle_err_m.o
-		$(FC) $(FCLMDZFLAGS)  $(LIB_NETCDF) $(INC_NETCDF) simple.f90
-
-nf95_gw_var_m.o: handle_err_m.o simple.o
-		$(FC) $(FCLMDZFLAGS)  $(LIB_NETCDF) $(INC_NETCDF) nf95_gw_var_m.f90
-
-nf95_put_att_m.o: handle_err_m.o
-		$(FC) $(FCLMDZFLAGS)  $(LIB_NETCDF) $(INC_NETCDF) nf95_put_att_m.f90
-
-nf95_get_att_m.o: handle_err_m.o simple.o
-		$(FC) $(FCLMDZFLAGS)  $(LIB_NETCDF) $(INC_NETCDF) nf95_get_att_m.f90
-
-netcdf95.o: $(NETCDF95OBJS) 
-		$(FC) $(FCLMDZFLAGS) netcdf95.f90
-
-open_climoz_m.o: mod_phys_lmdz_mpi_data.o mod_phys_lmdz_mpi_transfert.o netcdf95.o
-		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) open_climoz_m.f90
-
-regr1_step_av_m.o: assert_eq_m.o assert_m.o interpolation.o
-		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) regr1_step_av_m.f90
-
-regr_pr_av_m.o: dimphy.o netcdf95.o assert_m.o assert_eq_m.o regr1_step_av_m.o mod_phys_lmdz_mpi_data.o mod_phys_lmdz_transfert_para.o
-		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) regr_pr_av_m.f90
-
-ozonecm_m.o: dimphy.o assert_m.o
-		$(FC) $(FCLMDZFLAGS) ozonecm_m.f90
-
-conf_phys_m.o: ioipsl.o surface_data.o phys_cal_mod.o carbon_cycle_mod.o control_mod.o
-		$(FC) $(FCLMDZFLAGS) conf_phys_m.f90
-
-radiation_AR4_mod.o: dimphy.o radiation_ar4_param.o
-		$(FC) $(FCLMDZFLAGS) radiation_AR4_mod.f90	
-
-sw_aeroAR4.o: dimphy.o phys_output_mod.o radiation_AR4_mod.o
-		$(FC) $(FCLMDZFLAGS) sw_aeroAR4.f90	
-
-radlwsw_m.o: dimphy.o assert_m.o infotrac.o radiation_AR4_mod.o sw_aeroAR4.o
-		$(FC) $(FCLMDZFLAGS) radlwsw_m.f90
-
-phys_cal_mod.o: ioipsl.o
-		$(FC) $(FCLMDZFLAGS) phys_cal_mod.f90
-
-write_field_phy.o: write_field.o
-		$(FC) $(FCLMDZFLAGS) write_field_phy.f90
-
-iophy.o: ioipsl.o phys_output_var_mod.o write_field.o
-		$(FC) $(FCLMDZFLAGS) iophy.f90
-
-read_map2D.o: dimphy.o mod_grid_phy_lmdz.o mod_phys_lmdz_para.o
-		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) read_map2D.f90
-
-carbon_cycle_mod.o: dimphy.o comgeomphy.o mod_phys_lmdz_transfert_para.o infotrac.o ioipsl.o surface_data.o phys_cal_mod.o indice_sol_mod.o read_map2D.o
-		$(FC) $(FCLMDZFLAGS) carbon_cycle_mod.f90
-
-oasis.o:
-ifeq ($(ARCHFLAGS), -DCPP_COUPLE)
-oasis.o: dimphy.o mod_phys_lmdz_para.o write_field_phy.o mod_prism_proto.o mod_prism_def_partition_proto.o mod_prism_get_proto.o mod_prism_put_proto.o ioipsl.o surface_data.o carbon_cycle_mod.o
-		$(FC) $(FCLMDZFLAGS) oasis.f90
-else
-oasis.o: dimphy.o mod_phys_lmdz_para.o write_field_phy.o ioipsl.o surface_data.o carbon_cycle_mod.o
-		$(FC) $(FCLMDZFLAGS) oasis.f90
-endif
-
-phys_state_var_mod.o: dimphy.o control_mod.o aero_mod.o infotrac.o indice_sol_mod.o
-		$(FC) $(FCLMDZFLAGS) phys_state_var_mod.f90
-
-atm2geo.o: dimphy.o mod_phys_lmdz_para.o
-		$(FC) $(FCLMDZFLAGS) atm2geo.f90
-
-geo2atm.o: dimphy.o mod_phys_lmdz_para.o
-		$(FC) $(FCLMDZFLAGS) geo2atm.f90
-
-cpl_mod.o: dimphy.o mod_phys_lmdz_para.o ioipsl.o iophy.o oasis.o write_field_phy.o control_mod.o carbon_cycle_mod.o surface_data.o indice_sol_mod.o phys_state_var_mod.o
-		$(FC) $(FCLMDZFLAGS) cpl_mod.f90
-
-surf_land_orchidee_noopenmp_mod.o:
-ifeq ($(ARCHFLAGS), -DORCHIDEE_NOOPENMP)
-intersurf.o: 
-		$(FC) $(FCLMDZFLAGS) intersurf.f90
-
-surf_land_orchidee_noopenmp_mod.o: dimphy.o intersurf.o cpl_mod.o surface_data.o comgeomphy.o mod_grid_phy_lmdz.o mod_phys_lmdz_para.o carbon_cycle_mod.o indice_sol_mod.o
-		$(FC) $(FCLMDZFLAGS) surf_land_orchidee_noopenmp_mod.f90
-else
-surf_land_orchidee_noopenmp_mod.o: dimphy.o cpl_mod.o surface_data.o comgeomphy.o mod_grid_phy_lmdz.o mod_phys_lmdz_para.o carbon_cycle_mod.o indice_sol_mod.o
-		$(FC) $(FCLMDZFLAGS) surf_land_orchidee_noopenmp_mod.f90
-endif
-ifeq ($(ARCHFLAGS), -DCPP_VEGET)
-intersurf.o: 
-		$(FC) $(FCLMDZFLAGS) intersurf.f90
-
-surf_land_orchidee_noopenmp_mod.o: dimphy.o intersurf.o cpl_mod.o surface_data.o comgeomphy.o mod_grid_phy_lmdz.o mod_phys_lmdz_para.o carbon_cycle_mod.o indice_sol_mod.o
-		rm surf_land_orchidee_noopenmp_mod.o
-		$(FC) $(FCLMDZFLAGS) surf_land_orchidee_noopenmp_mod.f90
-else
-surf_land_orchidee_noopenmp_mod.o: dimphy.o cpl_mod.o surface_data.o comgeomphy.o mod_grid_phy_lmdz.o mod_phys_lmdz_para.o carbon_cycle_mod.o indice_sol_mod.o
-		$(FC) $(FCLMDZFLAGS) surf_land_orchidee_noopenmp_mod.f90
-endif
-
-mod_surf_para.o: mod_phys_lmdz_para.o
-		$(FC) $(FCLMDZFLAGS) mod_surf_para.f90
-
-mod_synchro_omp.o: mod_phys_lmdz_para.o
-		$(FC) $(FCLMDZFLAGS) mod_synchro_omp.f90
-
-surf_land_orchidee_mod.o: 
-ifeq ($(ARCHFLAGS), -DORCHIDEE_NOOPENMP)
-intersurf.o: 
-		$(FC) $(FCLMDZFLAGS) intersurf.f90
-
-surf_land_orchidee_mod.o: dimphy.o intersurf.o cpl_mod.o surface_data.o comgeomphy.o mod_grid_phy_lmdz.o mod_phys_lmdz_para.o mod_surf_para.o mod_synchro_omp.o carbon_cycle_mod.o indice_sol_mod.o
-		$(FC) $(FCLMDZFLAGS) surf_land_orchidee_mod.f90
-else
-surf_land_orchidee_mod.o: dimphy.o cpl_mod.o surface_data.o comgeomphy.o mod_grid_phy_lmdz.o mod_phys_lmdz_para.o mod_surf_para.o mod_synchro_omp.o carbon_cycle_mod.o indice_sol_mod.o
-endif
-ifeq ($(ARCHFLAGS), -DCPP_VEGET)
-intersurf.o: 
-		$(FC) $(FCLMDZFLAGS) intersurf.f90
-
-surf_land_orchidee_mod.o: dimphy.o intersurf.o cpl_mod.o surface_data.o comgeomphy.o mod_grid_phy_lmdz.o mod_phys_lmdz_para.o mod_surf_para.o mod_synchro_omp.o carbon_cycle_mod.o indice_sol_mod.o
-		rm surf_land_orchidee_mod.o
-		$(FC) $(FCLMDZFLAGS) surf_land_orchidee_mod.f90
-else
-surf_land_orchidee_mod.o: dimphy.o cpl_mod.o surface_data.o comgeomphy.o mod_grid_phy_lmdz.o mod_phys_lmdz_para.o mod_surf_para.o mod_synchro_omp.o carbon_cycle_mod.o indice_sol_mod.o
-		$(FC) $(FCLMDZFLAGS) surf_land_orchidee_mod.f90
-endif
-
-limit_read_mod.o: dimphy.o indice_sol_mod.o surface_data.o mod_grid_phy_lmdz.o mod_phys_lmdz_para.o 
-		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) limit_read_mod.f90
-
-phys_local_var_mod.o: dimphy.o infotrac.o aero_mod.o indice_sol_mod.o
-		$(FC) $(FCLMDZFLAGS) phys_local_var_mod.f90
-
-calbeta.o: dimphy.o
-		$(FC) $(FCLMDZFLAGS) calbeta.f90
-
-soil.o: dimphy.o mod_phys_lmdz_para.o
-		$(FC) $(FCLMDZFLAGS) soil.f90
-
-calcul_fluxs_mod.o: dimphy.o indice_sol_mod.o
-		$(FC) $(FCLMDZFLAGS) calcul_fluxs_mod.f90
-
-fonte_neige_mod.o: dimphy.o indice_sol_mod.o
-		$(FC) $(FCLMDZFLAGS) fonte_neige_mod.f90
-
-limit_slab.o: dimphy.o mod_grid_phy_lmdz.o mod_phys_lmdz_para.o
-		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) limit_slab.f90
-
-surf_land_bucket_mod.o: limit_read_mod.o surface_data.o fonte_neige_mod.o calcul_fluxs_mod.o cpl_mod.o dimphy.o comgeomphy.o mod_grid_phy_lmdz.o mod_phys_lmdz_para.o indice_sol_mod.o albsno.o calbeta_clim.o calbeta.o soil.o NOread_limit_sub_variables.o
-		$(FC) $(FCLMDZFLAGS) surf_land_bucket_mod.f90
-
-surf_land_mod.o: dimphy.o surface_data.o surf_land_orchidee_noopenmp_mod.o surf_land_orchidee_mod.o surf_land_bucket_mod.o calcul_fluxs_mod.o indice_sol_mod.o
-		$(FC) $(FCLMDZFLAGS) surf_land_mod.f90
-
-surf_landice_mod.o: dimphy.o surface_data.o fonte_neige_mod.o cpl_mod.o calcul_fluxs_mod.o phys_output_var_mod.o indice_sol_mod.o albsno.o soil.o
-		$(FC) $(FCLMDZFLAGS) surf_landice_mod.f90
-
-ocean_forced_mod.o: dimphy.o calcul_fluxs_mod.o limit_read_mod.o indice_sol_mod.o surface_data.o fonte_neige_mod.o calbeta.o soil.o albsno.o NOread_limit_sub_variables.o
-		$(FC) $(FCLMDZFLAGS) ocean_forced_mod.f90
-
-ocean_slab_mod.o: dimphy.o limit_read_mod.o surface_data.o indice_sol_mod.o calcul_fluxs_mod.o limit_slab.o
-		$(FC) $(FCLMDZFLAGS) ocean_slab_mod.f90
-
-ocean_cpl_mod.o: dimphy.o cpl_mod.o calcul_fluxs_mod.o indice_sol_mod.o
-		$(FC) $(FCLMDZFLAGS) ocean_cpl_mod.f90
-
-albedo.o: dimphy.o
-		$(FC) $(FCLMDZFLAGS) albedo.f90
-
-surf_ocean_mod.o: dimphy.o surface_data.o ocean_forced_mod.o ocean_slab_mod.o ocean_cpl_mod.o indice_sol_mod.o
-		$(FC) $(FCLMDZFLAGS) surf_ocean_mod.f90
-
-surf_seaice_mod.o: dimphy.o surface_data.o ocean_forced_mod.o ocean_cpl_mod.o indice_sol_mod.o
-		$(FC) $(FCLMDZFLAGS) surf_seaice_mod.f90
-
-climb_hq_mod.o: dimphy.o
-		$(FC) $(FCLMDZFLAGS) climb_hq_mod.f90
-
-climb_wind_mod.o: dimphy.o
-		$(FC) $(FCLMDZFLAGS) climb_wind_mod.f90
-
-yamada4.o: dimphy.o
-		$(FC) $(FCLMDZFLAGS) yamada4.f90
-
-yamada.o: dimphy.o
-		$(FC) $(FCLMDZFLAGS) yamada.f90
-
-vdif_kcay.o: dimphy.o yamada.o
-		$(FC) $(FCLMDZFLAGS) vdif_kcay.f90
-
-ustarhb.o: dimphy.o
-		$(FC) $(FCLMDZFLAGS) ustarhb.f90
-
-coefkzmin.o: dimphy.o
-		$(FC) $(FCLMDZFLAGS) coefkzmin.f90
-
-coef_diff_turb_mod.o: dimphy.o indice_sol_mod.o yamada4.o vdif_kcay.o ustarhb.o coefkzmin.o
-		$(FC) $(FCLMDZFLAGS) coef_diff_turb_mod.f90
-
-stdlevvar.o: coefcdrag.o screenp.o screenc.o
-		$(FC) $(FCLMDZFLAGS) stdlevvar.f90
-
-clcdrag.o: dimphy.o
-		$(FC) $(FCLMDZFLAGS) clcdrag.f90
-
-hbtm.o: dimphy.o
-		$(FC) $(FCLMDZFLAGS) hbtm.f90
-
-yamada_c.o: dimphy.o
-		$(FC) $(FCLMDZFLAGS) yamada_c.f90
-
-pbl_surface_mod.o: dimphy.o mod_phys_lmdz_para.o ioipsl.o surface_data.o surf_land_mod.o surf_landice_mod.o surf_ocean_mod.o surf_seaice_mod.o cpl_mod.o climb_hq_mod.o climb_wind_mod.o coef_diff_turb_mod.o control_mod.o indice_sol_mod.o carbon_cycle_mod.o clcdrag.o stdlevvar.o hbtm.o yamada_c.o
-		$(FC) $(FCLMDZFLAGS) pbl_surface_mod.f90
-
-change_srf_frac_mod.o: dimphy.o surface_data.o limit_read_mod.o pbl_surface_mod.o cpl_mod.o ocean_slab_mod.o indice_sol_mod.o
-		$(FC) $(FCLMDZFLAGS) change_srf_frac_mod.f90
-
-phys_output_mod.o: indice_sol_mod.o phys_output_var_mod.o phys_output_ctrlout_mod.o aero_mod.o iophy.o dimphy.o infotrac.o ioipsl.o phys_cal_mod.o mod_phys_lmdz_para.o
-		$(FC) $(FCLMDZFLAGS) phys_output_mod.f90
-
-phys_output_ctrlout_mod.o: phys_output_var_mod.o indice_sol_mod.o aero_mod.o
-		$(FC) $(FCLMDZFLAGS) phys_output_ctrlout_mod.f90
-
-cfmip_point_locations.o: dimphy.o iophy.o mod_grid_phy_lmdz.o
-		$(FC) $(FCLMDZFLAGS) cfmip_point_locations.f90
-
-mkstat.o: 
-		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) mkstat.f90
-
-plevel_new.o: dimphy.o
-		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) plevel_new.f90
-
-plevel.o: dimphy.o
-		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) plevel.f90
-
-orografi_mod.o: dimphy.o
-		$(FC) $(FCLMDZFLAGS) orografi_mod.f90
-
-orografi.o: dimphy.o
-		$(FC) $(FCLMDZFLAGS) orografi.f90
-
-orografi_strato_mod.o: dimphy.o
-		$(FC) $(FCLMDZFLAGS) orografi_strato_mod.f90
-
-orografi_strato.o: dimphy.o
-		$(FC) $(FCLMDZFLAGS) orografi_strato.f90
-
-nuage_mod.o: dimphy.o
-		$(FC) $(FCLMDZFLAGS) nuage_mod.f90
-
-nuage.o: dimphy.o
-		$(FC) $(FCLMDZFLAGS) nuage.f90
-
-conflx.o: dimphy.o
-		$(FC) $(FCLMDZFLAGS) conflx.f90
-
-hgardfou.o: dimphy.o phys_state_var_mod.o indice_sol_mod.o
-		$(FC) $(FCLMDZFLAGS) hgardfou.f90
-
-print_debug_phys.o: dimphy.o phys_state_var_mod.o indice_sol_mod.o
-		$(FC) $(FCLMDZFLAGS) print_debug_phys.f90
-
-add_phys_tend.o: dimphy.o phys_local_var_mod.o phys_state_var_mod.o print_debug_phys.o hgardfou.o
-		$(FC) $(FCLMDZFLAGS) add_phys_tend.f90
-
-solarlong.o: ioipsl.o iniorbit.o
-		$(FC) $(FCLMDZFLAGS) solarlong.f90
-
-phyaqua_mod.o: comgeomphy.o dimphy.o surface_data.o pbl_surface_mod.o fonte_neige_mod.o phys_state_var_mod.o control_mod.o indice_sol_mod.o ioipsl.o 
-		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) phyaqua_mod.f90
-
-phyaqua.o: comgeomphy.o dimphy.o surface_data.o pbl_surface_mod.o fonte_neige_mod.o phys_state_var_mod.o control_mod.o indice_sol_mod.o ioipsl.o 
-		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) phyaqua.f90
-
-ajsec.o: dimphy.o
-		$(FC) $(FCLMDZFLAGS) ajsec.f90
-
-aaam_bud.o: dimphy.o
-		$(FC) $(FCLMDZFLAGS) aaam_bud.f90
-
-diagphy.o: dimphy.o
-		$(FC) $(FCLMDZFLAGS) diagphy.f90
-
-diagphy_mod.o: dimphy.o
-		$(FC) $(FCLMDZFLAGS) diagphy_mod.f90
-
-readaerosolstrato.o: netcdf95.o phys_cal_mod.o mod_grid_phy_lmdz.o mod_phys_lmdz_mpi_data.o mod_phys_lmdz_para.o phys_state_var_mod.o phys_local_var_mod.o aero_mod.o dimphy.o
-		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) readaerosolstrato.f90
-
-aeropt_2bands.o: dimphy.o aero_mod.o phys_cal_mod.o pres2lev_mod.o
-		$(FC) $(FCLMDZFLAGS) aeropt_2bands.f90
-
-aeropt_5wv.o: dimphy.o aero_mod.o phys_local_var_mod.o pres2lev_mod.o
-		$(FC) $(FCLMDZFLAGS) aeropt_5wv.f90
-
-readaerosol_mod.o: readaerosol.o
-
-readaerosol.o: dimphy.o
-		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) readaerosol.f90
-
-readaerosol_interp.o: dimphy.o mod_phys_lmdz_para.o readaerosol_mod.o aero_mod.o write_field_phy.o phys_cal_mod.o pres2lev_mod.o
-		$(FC) $(FCLMDZFLAGS) readaerosol_interp.f90
-
-readaerosol_optic.o: dimphy.o aero_mod.o phys_local_var_mod.o readaerosol_interp.o aeropt.o
-		$(FC) $(FCLMDZFLAGS) readaerosol_optic.f90
-
-cv3p1_closure.o: cv3_cine.o cv3_buoy.o
-		$(FC) $(FCLMDZFLAGS) cv3p1_closure.f90
-
-cv_driver.o: dimphy.o cv_routines.o cv30_routines.o cv3p1_closure.o
-		$(FC) $(FCLMDZFLAGS) cv_driver.f90
-
-cva_driver.o: dimphy.o zilch.o cv_routines.o cv3_routines.o
-		$(FC) $(FCLMDZFLAGS) cva_driver.f90
-
-concvl.o: dimphy.o infotrac.o cv_driver.o cva_driver.o cv3_inip.o
-		$(FC) $(FCLMDZFLAGS) concvl.f90
-
-regr1_lint_m.o: assert_eq_m.o interpolation.o
-		$(FC) $(FCLMDZFLAGS) regr1_lint_m.f90
-
-regr_pr_int_m.o: dimphy.o netcdf95.o assert_m.o regr1_lint_m.o mod_phys_lmdz_mpi_data.o mod_phys_lmdz_transfert_para.o
-		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) regr_pr_int_m.f90
-
-regr_pr_comb_coefoz_m.o: dimphy.o netcdf95.o assert_m.o mod_phys_lmdz_mpi_data.o regr_pr_av_m.o regr_pr_int_m.o press_coefoz_m.o 
-		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) regr_pr_comb_coefoz_m.f90
-
-press_coefoz_m.o: netcdf95.o mod_phys_lmdz_mpi_data.o mod_phys_lmdz_mpi_transfert.o 
-		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) press_coefoz_m.f90
-
-o3_chem_m.o: dimphy.o assert_m.o regr_pr_comb_coefoz_m.o 
-		$(FC) $(FCLMDZFLAGS) o3_chem_m.f90
-
-initrrnpb.o: dimphy.o infotrac.o indice_sol_mod.o
-		$(FC) $(FCLMDZFLAGS) initrrnpb.f90
-
-init_be.o: dimphy.o comgeomphy.o infotrac.o indice_sol_mod.o
-		$(FC) $(FCLMDZFLAGS) init_be.f90
-
-minmaxqfi.o: dimphy.o
-		$(FC) $(FCLMDZFLAGS) minmaxqfi.f90
-
-radio_decay.o: dimphy.o infotrac.o
-		$(FC) $(FCLMDZFLAGS) radio_decay.f90
-
-cltracrn.o: dimphy.o indice_sol_mod.o
-		$(FC) $(FCLMDZFLAGS) cltracrn.f90
-
-traclmdz_mod.o: dimphy.o infotrac.o regr_pr_comb_coefoz_m.o press_coefoz_m.o carbon_cycle_mod.o mod_grid_phy_lmdz.o mod_phys_lmdz_para.o indice_sol_mod.o o3_chem_m.o q_sat.o cltracrn.o minmaxqfi.o initrrnpb.o
-		$(FC) $(FCLMDZFLAGS) traclmdz_mod.f90
-
-inistats.o: 
-		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) inistats.f90
-
-wstats.o: inistats.o 
-		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) wstats.f90
-
-iostart.o: dimphy.o mod_grid_phy_lmdz.o mod_phys_lmdz_para.o
-		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) iostart.f90
-
-wake.o: dimphy.o
-		$(FC) $(FCLMDZFLAGS) wake.f90
-
-calwake.o: dimphy.o
-		$(FC) $(FCLMDZFLAGS) calwake.f90
-
-hines_gwd.o: dimphy.o
-		$(FC) $(FCLMDZFLAGS) hines_gwd.f90
-
-ini_undefSTD.o: dimphy.o phys_state_var_mod.o
-		$(FC) $(FCLMDZFLAGS) ini_undefSTD.f90
-
-moy_undefSTD.o: dimphy.o phys_state_var_mod.o
-		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) moy_undefSTD.f90
-
-newmicro.o: dimphy.o phys_local_var_mod.o phys_state_var_mod.o
-		$(FC) $(FCLMDZFLAGS) newmicro.f90
-
-phyetat0.o: dimphy.o mod_grid_phy_lmdz.o mod_phys_lmdz_para.o iophy.o ocean_cpl_mod.o fonte_neige_mod.o pbl_surface_mod.o surface_data.o phys_state_var_mod.o iostart.o write_field_phy.o infotrac.o traclmdz_mod.o carbon_cycle_mod.o indice_sol_mod.o 
-		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) phyetat0.f90
-
-transp.o: dimphy.o 
-		$(FC) $(FCLMDZFLAGS) transp.f90
-
-undefSTD.o: dimphy.o phys_state_var_mod.o
-		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) undefSTD.f90
-
-stratocu_if.o: indice_sol_mod.o
-		$(FC) $(FCLMDZFLAGS) stratocu_if.f90
-
-thermcell.o: dimphy.o
-		$(FC) $(FCLMDZFLAGS) thermcell.f90
-
-wrgradsfi.o: dimphy.o mod_grid_phy_lmdz.o mod_phys_lmdz_para.o wrgrads.o gr_fi_dyn.o 
-		$(FC) $(FCLMDZFLAGS) wrgradsfi.f90
-
-thermcell_old.o: dimphy.o thermcell.o
-		$(FC) $(FCLMDZFLAGS) thermcell_old.f90
-
-thermcell_env.o: thermcell_qsat.o
-		$(FC) $(FCLMDZFLAGS) thermcell_env.f90
-
-thermcellV0_main.o: dimphy.o comgeomphy.o thermcell_env.o thermcell_height.o thermcell_flux2.o thermcell_dq.o thermcell_dv2.o 
-		$(FC) $(FCLMDZFLAGS) thermcellV0_main.f90
-
-thermcell_main.o: dimphy.o comgeomphy.o indice_sol_mod.o thermcell_env.o thermcell_plume.o thermcell_height.o thermcell_dry.o thermcell_closure.o thermcell_flux2.o thermcell_dq.o thermcell_dv2.o  
-		$(FC) $(FCLMDZFLAGS) thermcell_main.f90
-
-calltherm.o: indice_sol_mod.o dimphy.o thermcell_old.o thermcellV0_main.o thermcell_main.o
-		$(FC) $(FCLMDZFLAGS) calltherm.f90
-
-callcratqs.o: clouds_gno.o
-		$(FC) $(FCLMDZFLAGS) callcratqs.f90
-
-fisrtilp.o: dimphy.o cloudth.o
-		$(FC) $(FCLMDZFLAGS) fisrtilp.f90
-
-tracinca_mod.o: dimphy.o infotrac.o vampir.o comgeomphy.o control_mod.o indice_sol_mod.o
-		$(FC) $(FCLMDZFLAGS) tracinca_mod.f90
-
-tracreprobus_mod.o: dimphy.o infotrac.o
-		$(FC) $(FCLMDZFLAGS) tracreprobus_mod.f90
-
-cvltrorig.o: dimphy.o infotrac.o
-		$(FC) $(FCLMDZFLAGS) cvltrorig.f90
-
-cvltr.o: dimphy.o infotrac.o
-		$(FC) $(FCLMDZFLAGS) cvltr.f90
-
-nflxtr.o: dimphy.o
-		$(FC) $(FCLMDZFLAGS) nflxtr.f90
-
-lsc_scav.o: dimphy.o mod_grid_phy_lmdz.o mod_phys_lmdz_para.o traclmdz_mod.o infotrac.o comgeomphy.o iophy.o
-		$(FC) $(FCLMDZFLAGS) lsc_scav.f90
-
-cltrac.o: dimphy.o 
-		$(FC) $(FCLMDZFLAGS) cltrac.f90
-
-phytrac.o: phys_cal_mod.o phys_output_mod.o dimphy.o infotrac.o mod_grid_phy_lmdz.o mod_phys_lmdz_para.o comgeomphy.o iophy.o traclmdz_mod.o tracinca_mod.o tracreprobus_mod.o control_mod.o indice_sol_mod.o cvltrorig.o cvltr.o nflxtr.o lsc_scav.o cltrac.o
-		$(FC) $(FCLMDZFLAGS) phytrac.f90
-
-initphysto.o: dimphy.o mod_phys_lmdz_para.o ioipsl.o iophy.o control_mod.o indice_sol_mod.o 
-		$(FC) $(FCLMDZFLAGS) initphysto.f90
-
-phystokenc.o: dimphy.o infotrac.o iophy.o control_mod.o indice_sol_mod.o initphysto.o
-		$(FC) $(FCLMDZFLAGS) phystokenc.f90
-
-ener_conserv.o: phys_local_var_mod.o phys_output_var_mod.o
-		$(FC) $(FCLMDZFLAGS) ener_conserv.f90
-
-calcratqs.o: clouds_gno.o
-		$(FC) $(FCLMDZFLAGS) calcratqs.f90
-
-conf_gcm.o: control_mod.o ioipsl.o ioipsl_getincom.o ioipsl.o infotrac.o assert_m.o
-		$(FC) $(FCLMDZFLAGS) conf_gcm.f90
-
-iniphysiq.o: dimphy.o mod_grid_phy_lmdz.o mod_phys_lmdz_para.o comgeomphy.o suphel.o comcstphy.o phyaqua.o
-		$(FC) $(FCLMDZFLAGS) iniphysiq.f90
-
-init_phys_lmdz.o: mod_phys_lmdz_para.o mod_grid_phy_lmdz.o dimphy.o infotrac.o
-		$(FC) $(FCLMDZFLAGS) init_phys_lmdz.f90
-
-moyglo_aire.o: dimphy.o
-		$(FC) $(FCLMDZFLAGS) moyglo_aire.f90
-
-global_mean.o: dimphy.o mod_phys_lmdz_para.o mod_phys_lmdz_transfert_para.o mod_phys_lmdz_mpi_data.o
-		$(FC) $(FCLMDZFLAGS) global_mean.f90
-
-phyredem.o: dimphy.o mod_grid_phy_lmdz.o mod_phys_lmdz_para.o fonte_neige_mod.o pbl_surface_mod.o phys_state_var_mod.o iostart.o traclmdz_mod.o infotrac.o control_mod.o carbon_cycle_mod.o indice_sol_mod.o
-		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) phyredem.f90
-
-wrf_lmdz_mod.o: ../frame/module_domain_type.o ../share/module_model_constants.o indice_sol_mod.o phys_state_var_mod.o phys_output_var_mod.o output_lmdz_NOmodule.o suphel.o pbl_surface_mod.o phys_local_var_mod.o comgeomphy.o
-		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) wrf_lmdz_mod.f90
-
-##module_lmdz_variables.o: pbl_surface_mod.o indice_sol_mod.o fonte_neige_mod.o dimphy.o
-##		$(FC) $(FCLMDZFLAGS) module_lmdz_variables.f90
-
-physiq_limit_variables_mod.o: mod_grid_phy_lmdz.o indice_sol_mod.o
-		$(FC) $(FCLMDZFLAGS) physiq_limit_variables_mod.f90
-
-lmdz_wrf_variables_mod.o: mod_grid_phy_lmdz.o indice_sol_mod.o
-		$(FC) $(FCLMDZFLAGS) lmdz_wrf_variables_mod.f90
-
-%.o: %.mod
-		@true
-
-physiq.o : $(MODULES) $(DIRECTLMDZOBJS) netcdf95.o ../frame/module_domain.o
-		$(CPP) $(ARCHFLAGS) physiq.F90 > physiq.bb
-		$(WRFcode) physiq.bb | $(CPP) > physiq.f90
-		rm physiq.bb
-		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) physiq.f90
-
-clean:
-	rm *.f90 *.o *.a *.mod
-	@ echo 'use the clean script'
-
-# DEPENDENCIES : only dependencies after this line (don't remove the word DEPENDENCIES)
-
-# DO NOT DELETE
Index: /branches/LMDZ_WRFmeas/WRFV3/lmdz/Makefile.ClimServ
===================================================================
--- /branches/LMDZ_WRFmeas/WRFV3/lmdz/Makefile.ClimServ	(revision 270)
+++ /branches/LMDZ_WRFmeas/WRFV3/lmdz/Makefile.ClimServ	(revision 270)
@@ -0,0 +1,939 @@
+SFC             =       gfortran
+SCC             =       gcc
+CCOMP           =       gcc
+DM_FC           =       mpif90 -f90=$(SFC)
+DM_CC           =       mpicc -cc=$(SCC)
+FC              =        $(SFC)
+CC              =       $(SCC) -DFSEEKO64_OK
+LD              =       $(FC)
+RWORDSIZE       =       $(NATIVE_RWORDSIZE)
+PROMOTION       =       # -fdefault-real-8  # uncomment manually
+ARCH_LOCAL      =       -DNONSTANDARD_SYSTEM_SUBR
+CFLAGS_LOCAL    =       -w -O3 -c -DLANDREAD_STUB
+LDFLAGS_LOCAL   =
+CPLUSPLUSLIB    =
+ESMF_LDFLAG     =       $(CPLUSPLUSLIB)
+FCOPTIM         =       -O3 -ftree-vectorize -ftree-loop-linear -funroll-loops 
+FCREDUCEDOPT    =       $(FCOPTIM)
+FCNOOPT         =       -O0
+FCDEBUG         =       -g $(FCNOOPT) -fbacktrace -Wall -fbounds-check
+FORMAT_FIXED    =       -ffixed-form
+FORMAT_FREE     =       -ffree-form -ffree-line-length-none
+FCSUFFIX        =
+BYTESWAPIO      =       -fconvert=big-endian -frecord-marker=4
+FCBASEOPTS_NO_G =       -w $(FORMAT_FREE) $(BYTESWAPIO)
+FCBASEOPTS      =       $(FCBASEOPTS_NO_G) $(FCDEBUG)
+MODULE_SRCH_FLAG =
+TRADFLAG        =      -traditional
+CPP             =      /lib/cpp -C -P
+AR              =      ar
+ARFLAGS         =      ru
+M4              =      m4 -G
+RANLIB          =      ranlib
+CC_TOOLS        =      $(SCC)
+
+.SUFFIXES: 
+.SUFFIXES: .F90 .f90 .o .mod 
+
+ARCHFLAGS       =    $(COREDEFS) -DIWORDSIZE=$(IWORDSIZE) -DDWORDSIZE=$(DWORDSIZE) -DRWORDSIZE=$(RWORDSIZE) -DLWORDSIZE=$(LWORDSIZE) \
+                     $(ARCH_LOCAL) \
+                     $(DA_ARCHFLAGS) \
+                      -DDM_PARALLEL \
+                      -DSTUBMPI \
+                      -DNETCDF \
+                      -DLMDZ \
+                      -DCPP_IOIPSL \
+                      -DhistNMC \
+                       \
+                       \
+                       \
+                       \
+                      -DUSE_ALLOCATABLES \
+                      -DGRIB1 \
+                      -DINTIO \
+                      -DLIMIT_ARGS \
+                      -DCONFIG_BUF_LEN=$(CONFIG_BUF_LEN) \
+                      -DMAX_DOMAINS_F=$(MAX_DOMAINS) \
+                      -DMAX_HISTORY=$(MAX_HISTORY) \
+                      -DNMM_NEST=$(WRF_NMM_NEST)
+
+FCLMDZFLAGS         =    $(FCOPTIM) $(FCBASEOPTS) -c
+
+NETCDFPATH      =    /opt/netcdf42/gfortran
+
+LIB_NETCDF    = -L${NETCDFPATH}/lib  -lnetcdf -lnetcdff 
+INC_NETCDF    = -I$(NETCDFPATH)/include
+
+WRFcode = ../tools/standard.exe
+
+#### end from configure.wrf
+
+
+LN      =       ln -sf
+MAKE    =       make -i -r
+RM      =       rm -f
+
+DIRECTLMDZOBJS = \
+		aero_mod.o \
+		albsno.o \
+		indice_sol_mod.o \
+		mod_grid_phy_lmdz.o \
+		ioipsl_errioipsl.o \
+		ioipsl_stringop.o \
+		dimphy.o \
+		phys_output_var_mod.o \
+		misc_mod.o \
+		vampir.o \
+		surface_data.o \
+		control_mod.o \
+		mod_const_mpi.o \
+		calbeta_clim.o \
+		comcstphy.o \
+		assert_m.o \
+		assert_eq_m.o \
+		interpolation.o \
+		coefcdrag.o \
+		screenp.o \
+		screenc.o \
+		iniorbit.o \
+		orbite.o \
+		orbite_mod.o \
+		clouds_gno.o \
+		ini_wake.o \
+		radiation_ar4_param.o \
+		evappot.o \
+		q_sat.o \
+		pres2lev_mod.o \
+		cv_routines.o \
+		cv30_routines.o \
+		cv3_routines.o \
+		cv3_mixscale.o \
+		cv3_vertmix.o \
+		cv3a_compress.o \
+		cv3a_uncompress.o \
+		cv3p_mixing.o \
+		cv3_buoy.o \
+		cv3_cine.o \
+		suphel.o \
+		zilch.o \
+		aeropt.o \
+		cv3_inip.o \
+		printflag.o \
+		iniradia.o \
+		cloudth.o \
+		thermcell_height.o \
+		thermcell_flux2.o \
+		thermcell_dq.o \
+		thermcell_dv2.o \
+		thermcell_qsat.o \
+		thermcell_plume.o \
+		thermcell_condens.o \
+		thermcell_dry.o \
+		thermcell_closure.o \
+		wrgrads.o \
+		formcoord.o \
+		gr_fi_dyn.o \
+		NOread_limit_sub_variables.o \
+		output_lmdz_NOmodule.o \
+		cray.o
+
+MODULES = \
+		comgeomphy.o \
+		open_climoz_m.o \
+		netcdf95.o \
+		mod_phys_lmdz_para.o \
+		mod_phys_lmdz_transfert_para.o \
+                mod_phys_lmdz_mpi_transfert.o \
+		mod_phys_lmdz_mpi_data.o \
+                mod_phys_lmdz_omp_transfert.o \
+		mod_phys_lmdz_omp_data.o \
+		phys_cal_mod.o \
+		regr_pr_av_m.o \
+		ozonecm_m.o \
+		regr1_step_av_m.o \
+		conf_phys_m.o \
+		radlwsw_m.o \
+		sw_aeroAR4.o \
+		write_field.o \
+		write_field_phy.o \
+		infotrac.o \
+		iophy.o \
+		clcdrag.o \
+		stdlevvar.o \
+		hbtm.o \
+		yamada_c.o \
+		pbl_surface_mod.o \
+		read_map2D.o \
+		carbon_cycle_mod.o \
+		surf_land_mod.o \
+		albedo.o \
+		surf_land_orchidee_noopenmp_mod.o \
+		cpl_mod.o \
+		atm2geo.o \
+		geo2atm.o \
+		oasis.o \
+		phys_state_var_mod.o \
+		surf_land_orchidee_mod.o \
+		mod_surf_para.o \
+		mod_synchro_omp.o \
+		surf_land_bucket_mod.o \
+		limit_read_mod.o \
+		fonte_neige_mod.o \
+		calcul_fluxs_mod.o \
+		calbeta.o \
+		soil.o \
+		surf_landice_mod.o \
+		surf_ocean_mod.o \
+		limit_slab.o \
+		ocean_forced_mod.o \
+		ocean_slab_mod.o \
+		ocean_cpl_mod.o \
+		surf_seaice_mod.o \
+		climb_hq_mod.o \
+		climb_wind_mod.o \
+		ustarhb.o \
+		vdif_kcay.o \
+		yamada.o \
+		yamada4.o \
+		coefkzmin.o \
+		coef_diff_turb_mod.o \
+		change_srf_frac_mod.o \
+		phys_local_var_mod.o \
+		phys_output_mod.o \
+		phys_output_ctrlout_mod.o \
+		cfmip_point_locations.o \
+		ioipsl_getincom.o \
+		abort_gcm.o \
+		plevel_new.o \
+		plevel.o \
+		orografi.o \
+		orografi_mod.o \
+		orografi_strato_mod.o \
+		nuage.o \
+		nuage_mod.o \
+		conflx.o \
+		radiation_AR4_mod.o \
+		add_phys_tend.o \
+		print_debug_phys.o \
+		hgardfou.o \
+		solarlong.o \
+		phyaqua.o \
+		phyaqua_mod.o \
+		concvl.o \
+		ajsec.o \
+		aaam_bud.o \
+		diagphy.o \
+		diagphy_mod.o \
+		readaerosolstrato.o \
+		mkstat.o \
+		readaerosol_optic.o \
+		aeropt_2bands.o \
+		aeropt_5wv.o \
+		readaerosol_interp.o \
+		readaerosol.o \
+		cva_driver.o \
+		cv_driver.o \
+		cv3p1_closure.o \
+		traclmdz_mod.o \
+		cltracrn.o \
+		radio_decay.o \
+		minmaxqfi.o \
+		initrrnpb.o \
+		init_be.o \
+		o3_chem_m.o \
+		regr_pr_comb_coefoz_m.o \
+		regr_pr_int_m.o \
+		regr1_lint_m.o \
+		press_coefoz_m.o \
+		iostart.o \
+		wstats.o \
+		inistats.o \
+		phyredem.o \
+		hines_gwd.o \
+		ini_undefSTD.o \
+		moy_undefSTD.o \
+		phyetat0.o \
+		transp.o \
+		undefSTD.o \
+		calwake.o \
+		wake.o \
+		newmicro.o \
+		calltherm.o \
+		thermcell_old.o \
+		wrgradsfi.o \
+		thermcell.o \
+		thermcellV0_main.o \
+		thermcell_env.o \
+		thermcell_main.o \
+		fisrtilp.o \
+		stratocu_if.o \
+		phystokenc.o \
+		initphysto.o \
+		ener_conserv.o \
+		tracinca_mod.o \
+		tracreprobus_mod.o \
+		cvltrorig.o \
+		cvltr.o \
+		nflxtr.o \
+		lsc_scav.o \
+		cltrac.o \
+		calcratqs.o \
+		iniphysiq.o \
+		conf_gcm.o \
+		init_phys_lmdz.o \
+		moyglo_aire.o \
+		global_mean.o \
+		wrf_lmdz_mod.o \
+		physiq_limit_variables_mod.o \
+		lmdz_wrf_variables_mod.o \
+		phytrac.o 
+
+DIRECTLMDZSRC = $(DIRECTLMDZOBJS:.o=.F90)
+LMDZSOURCES = $(MODULES:.o=.F90)
+LMDZPRE = $(MODULES:.o=.bb)
+LMDZPOST = $(MODULES:.o=.f90)
+LMDZMOD = $(MODULES:.o=.mod)
+
+NETCDF95OBJS = \
+		nf95_def_var_m.o \
+		nf95_put_var_m.o \
+		nf95_get_var_m.o \
+		nf95_gw_var_m.o \
+		nf95_put_att_m.o \
+		nf95_get_att_m.o \
+		simple.o \
+		handle_err_m.o
+
+NETCDF95SOURCES = $(NETCDF95OBJS:.o=.F90)
+NETCDF95PRE = $(NETCDF95OBJS:.o=.bb)
+NETCDF95POST = $(NETCDF95OBJS:.o=.f90)
+
+OBJS    = physiq.o 
+
+NMM_MODULES =  
+
+LIBTARGET    =  lmdz
+TARGETDIR    =  ./
+
+DIRECTIOIPSLMOD =	\
+        defprec.o \
+	errioipsl.o \
+	stringop.o \
+
+DEPIOIPSLMOD = 	\
+	mathelp.o \
+	getincom.o \
+	calendar.o \
+	fliocom.o \
+	flincom.o \
+	histcom.o \
+	restcom.o \
+	ioipsl.o 
+
+DIRECTIOIPSLSRC = $(DIRECTIOIPSLMOD:.o=.f90)
+
+IOIPSLFOLD = ./IOIPSL
+FULLIOIPSLMODS = $(addprefix $(IOIPSLFOLD)/,$(IOIPSLMOD))
+
+##include ../configure.wrf
+
+all : preprocess lmdz.a 
+
+lmdz.a:		$(MODULES) $(OBJS) $(DIRECTLMDZOBJS) $(DIRECTIOIPSLMOD) $(DEPIOIPSLMOD) $(NETCDF95OBJS)
+		/bin/rm -f lmdz.a
+		$(AR) cr lmdz.a $(MODULES) $(OBJS) $(DIRECTLMDZOBJS) $(DIRECTIOIPSLMOD) $(DEPIOIPSLMOD) $(NETCDF95OBJS)
+
+# IOIPSL
+ 
+$(DIRECTIOIPSLMOD): 
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) $(addprefix $(IOIPSLFOLD)/,$(DIRECTIOIPSLSRC))
+
+calendar.o: stringop.o errioipsl.o
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) $(addprefix $(IOIPSLFOLD)/,calendar.f90)
+
+getincom.o: stringop.o errioipsl.o
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) $(addprefix $(IOIPSLFOLD)/,getincom.f90)
+
+mathelp.o: stringop.o errioipsl.o
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) $(addprefix $(IOIPSLFOLD)/,mathelp.f90)
+
+flincom.o: stringop.o errioipsl.o calendar.o
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) $(addprefix $(IOIPSLFOLD)/,flincom.f90)
+
+fliocom.o: stringop.o errioipsl.o calendar.o defprec.o
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) $(addprefix $(IOIPSLFOLD)/,fliocom.f90)
+
+histcom.o: stringop.o errioipsl.o calendar.o mathelp.o fliocom.o
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) $(addprefix $(IOIPSLFOLD)/,histcom.f90)
+
+restcom.o: stringop.o errioipsl.o calendar.o mathelp.o fliocom.o
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) $(addprefix $(IOIPSLFOLD)/,restcom.f90)
+
+ioipsl.o: $(DIRECTIOIPSLMOD) getincom.o calendar.o mathelp.o flincom.o fliocom.o histcom.o restcom.o 
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) $(addprefix $(IOIPSLFOLD)/,ioipsl.f90)
+
+# LMDZ
+#
+preprocess: $(LMDZPOST) $(NETCDF95POST)
+
+$(LMDZPOST): %.f90: %.bb
+		$(WRFcode) $< | $(CPP) > $@
+		rm $<
+
+$(LMDZPRE): %.bb: %.F90
+		$(CPP) $(ARCHFLAGS) $< > $@
+
+$(NETCDF95POST): %.f90: %.bb
+		$(WRFcode) $< | $(CPP) > $@
+		rm $<
+
+$(NETCDF95PRE): %.bb: %.F90
+		$(CPP) $(ARCHFLAGS) $< > $@
+
+$(DIRECTLMDZOBJS): 
+		$(FC) $(FCLMDZFLAGS) $(DIRECTLMDZSRC)
+
+infotrac.o: control_mod.o
+		$(FC) $(FCLMDZFLAGS) infotrac.f90
+
+
+mod_phys_lmdz_mpi_data.o: mod_const_mpi.o
+		$(FC) $(FCLMDZFLAGS) mod_phys_lmdz_mpi_data.f90
+
+ioipsl_getincom.o: ioipsl_errioipsl.o ioipsl_stringop.o
+		$(FC) $(FCLMDZFLAGS) ioipsl_getincom.f90
+
+abort_gcm.o: ioipsl.o ioipsl_getincom.o
+		$(FC) $(FCLMDZFLAGS) abort_gcm.f90
+
+write_field.o: 
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) write_field.f90
+
+mod_phys_lmdz_omp_data.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) mod_phys_lmdz_omp_data.f90
+
+mod_phys_lmdz_omp_transfert.o: mod_phys_lmdz_mpi_data.o mod_phys_lmdz_omp_data.o
+		$(FC) $(FCLMDZFLAGS) mod_phys_lmdz_omp_transfert.f90
+
+mod_phys_lmdz_mpi_transfert.o: mod_phys_lmdz_mpi_data.o mod_grid_phy_lmdz.o  mod_phys_lmdz_omp_transfert.o
+		$(FC) $(FCLMDZFLAGS) mod_phys_lmdz_mpi_transfert.f90
+
+mod_phys_lmdz_transfert_para.o: mod_phys_lmdz_mpi_transfert.o mod_phys_lmdz_omp_transfert.o
+		$(FC) $(FCLMDZFLAGS) mod_phys_lmdz_transfert_para.f90
+
+mod_phys_lmdz_para.o: mod_phys_lmdz_transfert_para.o mod_phys_lmdz_mpi_data.o mod_phys_lmdz_omp_data.o mod_grid_phy_lmdz.o
+		$(FC) $(FCLMDZFLAGS) mod_phys_lmdz_para.f90
+
+comgeomphy.o: mod_phys_lmdz_para.o
+		$(FC) $(FCLMDZFLAGS) comgeomphy.f90
+
+handle_err_m.o: 
+		$(FC) $(FCLMDZFLAGS)  $(LIB_NETCDF) $(INC_NETCDF) handle_err_m.f90
+
+nf95_def_var_m.o: handle_err_m.o
+		$(FC) $(FCLMDZFLAGS)  $(LIB_NETCDF) $(INC_NETCDF) nf95_def_var_m.f90
+
+nf95_put_var_m.o: handle_err_m.o
+		$(FC) $(FCLMDZFLAGS)  $(LIB_NETCDF) $(INC_NETCDF) nf95_put_var_m.f90
+
+nf95_get_var_m.o: handle_err_m.o
+		$(FC) $(FCLMDZFLAGS)  $(LIB_NETCDF) $(INC_NETCDF) nf95_get_var_m.f90
+
+simple.o: handle_err_m.o
+		$(FC) $(FCLMDZFLAGS)  $(LIB_NETCDF) $(INC_NETCDF) simple.f90
+
+nf95_gw_var_m.o: handle_err_m.o simple.o
+		$(FC) $(FCLMDZFLAGS)  $(LIB_NETCDF) $(INC_NETCDF) nf95_gw_var_m.f90
+
+nf95_put_att_m.o: handle_err_m.o
+		$(FC) $(FCLMDZFLAGS)  $(LIB_NETCDF) $(INC_NETCDF) nf95_put_att_m.f90
+
+nf95_get_att_m.o: handle_err_m.o simple.o
+		$(FC) $(FCLMDZFLAGS)  $(LIB_NETCDF) $(INC_NETCDF) nf95_get_att_m.f90
+
+netcdf95.o: $(NETCDF95OBJS) 
+		$(FC) $(FCLMDZFLAGS) netcdf95.f90
+
+open_climoz_m.o: mod_phys_lmdz_mpi_data.o mod_phys_lmdz_mpi_transfert.o netcdf95.o
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) open_climoz_m.f90
+
+regr1_step_av_m.o: assert_eq_m.o assert_m.o interpolation.o
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) regr1_step_av_m.f90
+
+regr_pr_av_m.o: dimphy.o netcdf95.o assert_m.o assert_eq_m.o regr1_step_av_m.o mod_phys_lmdz_mpi_data.o mod_phys_lmdz_transfert_para.o
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) regr_pr_av_m.f90
+
+ozonecm_m.o: dimphy.o assert_m.o
+		$(FC) $(FCLMDZFLAGS) ozonecm_m.f90
+
+conf_phys_m.o: ioipsl.o surface_data.o phys_cal_mod.o carbon_cycle_mod.o control_mod.o
+		$(FC) $(FCLMDZFLAGS) conf_phys_m.f90
+
+radiation_AR4_mod.o: dimphy.o radiation_ar4_param.o
+		$(FC) $(FCLMDZFLAGS) radiation_AR4_mod.f90	
+
+sw_aeroAR4.o: dimphy.o phys_output_mod.o radiation_AR4_mod.o
+		$(FC) $(FCLMDZFLAGS) sw_aeroAR4.f90	
+
+radlwsw_m.o: dimphy.o assert_m.o infotrac.o radiation_AR4_mod.o sw_aeroAR4.o
+		$(FC) $(FCLMDZFLAGS) radlwsw_m.f90
+
+phys_cal_mod.o: ioipsl.o
+		$(FC) $(FCLMDZFLAGS) phys_cal_mod.f90
+
+write_field_phy.o: write_field.o
+		$(FC) $(FCLMDZFLAGS) write_field_phy.f90
+
+iophy.o: ioipsl.o phys_output_var_mod.o write_field.o
+		$(FC) $(FCLMDZFLAGS) iophy.f90
+
+read_map2D.o: dimphy.o mod_grid_phy_lmdz.o mod_phys_lmdz_para.o
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) read_map2D.f90
+
+carbon_cycle_mod.o: dimphy.o comgeomphy.o mod_phys_lmdz_transfert_para.o infotrac.o ioipsl.o surface_data.o phys_cal_mod.o indice_sol_mod.o read_map2D.o
+		$(FC) $(FCLMDZFLAGS) carbon_cycle_mod.f90
+
+oasis.o:
+ifeq ($(ARCHFLAGS), -DCPP_COUPLE)
+oasis.o: dimphy.o mod_phys_lmdz_para.o write_field_phy.o mod_prism_proto.o mod_prism_def_partition_proto.o mod_prism_get_proto.o mod_prism_put_proto.o ioipsl.o surface_data.o carbon_cycle_mod.o
+		$(FC) $(FCLMDZFLAGS) oasis.f90
+else
+oasis.o: dimphy.o mod_phys_lmdz_para.o write_field_phy.o ioipsl.o surface_data.o carbon_cycle_mod.o
+		$(FC) $(FCLMDZFLAGS) oasis.f90
+endif
+
+phys_state_var_mod.o: dimphy.o control_mod.o aero_mod.o infotrac.o indice_sol_mod.o
+		$(FC) $(FCLMDZFLAGS) phys_state_var_mod.f90
+
+atm2geo.o: dimphy.o mod_phys_lmdz_para.o
+		$(FC) $(FCLMDZFLAGS) atm2geo.f90
+
+geo2atm.o: dimphy.o mod_phys_lmdz_para.o
+		$(FC) $(FCLMDZFLAGS) geo2atm.f90
+
+cpl_mod.o: dimphy.o mod_phys_lmdz_para.o ioipsl.o iophy.o oasis.o write_field_phy.o control_mod.o carbon_cycle_mod.o surface_data.o indice_sol_mod.o phys_state_var_mod.o
+		$(FC) $(FCLMDZFLAGS) cpl_mod.f90
+
+surf_land_orchidee_noopenmp_mod.o:
+ifeq ($(ARCHFLAGS), -DORCHIDEE_NOOPENMP)
+intersurf.o: 
+		$(FC) $(FCLMDZFLAGS) intersurf.f90
+
+surf_land_orchidee_noopenmp_mod.o: dimphy.o intersurf.o cpl_mod.o surface_data.o comgeomphy.o mod_grid_phy_lmdz.o mod_phys_lmdz_para.o carbon_cycle_mod.o indice_sol_mod.o
+		$(FC) $(FCLMDZFLAGS) surf_land_orchidee_noopenmp_mod.f90
+else
+surf_land_orchidee_noopenmp_mod.o: dimphy.o cpl_mod.o surface_data.o comgeomphy.o mod_grid_phy_lmdz.o mod_phys_lmdz_para.o carbon_cycle_mod.o indice_sol_mod.o
+		$(FC) $(FCLMDZFLAGS) surf_land_orchidee_noopenmp_mod.f90
+endif
+ifeq ($(ARCHFLAGS), -DCPP_VEGET)
+intersurf.o: 
+		$(FC) $(FCLMDZFLAGS) intersurf.f90
+
+surf_land_orchidee_noopenmp_mod.o: dimphy.o intersurf.o cpl_mod.o surface_data.o comgeomphy.o mod_grid_phy_lmdz.o mod_phys_lmdz_para.o carbon_cycle_mod.o indice_sol_mod.o
+		rm surf_land_orchidee_noopenmp_mod.o
+		$(FC) $(FCLMDZFLAGS) surf_land_orchidee_noopenmp_mod.f90
+else
+surf_land_orchidee_noopenmp_mod.o: dimphy.o cpl_mod.o surface_data.o comgeomphy.o mod_grid_phy_lmdz.o mod_phys_lmdz_para.o carbon_cycle_mod.o indice_sol_mod.o
+		$(FC) $(FCLMDZFLAGS) surf_land_orchidee_noopenmp_mod.f90
+endif
+
+mod_surf_para.o: mod_phys_lmdz_para.o
+		$(FC) $(FCLMDZFLAGS) mod_surf_para.f90
+
+mod_synchro_omp.o: mod_phys_lmdz_para.o
+		$(FC) $(FCLMDZFLAGS) mod_synchro_omp.f90
+
+surf_land_orchidee_mod.o: 
+ifeq ($(ARCHFLAGS), -DORCHIDEE_NOOPENMP)
+intersurf.o: 
+		$(FC) $(FCLMDZFLAGS) intersurf.f90
+
+surf_land_orchidee_mod.o: dimphy.o intersurf.o cpl_mod.o surface_data.o comgeomphy.o mod_grid_phy_lmdz.o mod_phys_lmdz_para.o mod_surf_para.o mod_synchro_omp.o carbon_cycle_mod.o indice_sol_mod.o
+		$(FC) $(FCLMDZFLAGS) surf_land_orchidee_mod.f90
+else
+surf_land_orchidee_mod.o: dimphy.o cpl_mod.o surface_data.o comgeomphy.o mod_grid_phy_lmdz.o mod_phys_lmdz_para.o mod_surf_para.o mod_synchro_omp.o carbon_cycle_mod.o indice_sol_mod.o
+endif
+ifeq ($(ARCHFLAGS), -DCPP_VEGET)
+intersurf.o: 
+		$(FC) $(FCLMDZFLAGS) intersurf.f90
+
+surf_land_orchidee_mod.o: dimphy.o intersurf.o cpl_mod.o surface_data.o comgeomphy.o mod_grid_phy_lmdz.o mod_phys_lmdz_para.o mod_surf_para.o mod_synchro_omp.o carbon_cycle_mod.o indice_sol_mod.o
+		rm surf_land_orchidee_mod.o
+		$(FC) $(FCLMDZFLAGS) surf_land_orchidee_mod.f90
+else
+surf_land_orchidee_mod.o: dimphy.o cpl_mod.o surface_data.o comgeomphy.o mod_grid_phy_lmdz.o mod_phys_lmdz_para.o mod_surf_para.o mod_synchro_omp.o carbon_cycle_mod.o indice_sol_mod.o
+		$(FC) $(FCLMDZFLAGS) surf_land_orchidee_mod.f90
+endif
+
+limit_read_mod.o: dimphy.o indice_sol_mod.o surface_data.o mod_grid_phy_lmdz.o mod_phys_lmdz_para.o 
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) limit_read_mod.f90
+
+phys_local_var_mod.o: dimphy.o infotrac.o aero_mod.o indice_sol_mod.o
+		$(FC) $(FCLMDZFLAGS) phys_local_var_mod.f90
+
+calbeta.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) calbeta.f90
+
+soil.o: dimphy.o mod_phys_lmdz_para.o
+		$(FC) $(FCLMDZFLAGS) soil.f90
+
+calcul_fluxs_mod.o: dimphy.o indice_sol_mod.o
+		$(FC) $(FCLMDZFLAGS) calcul_fluxs_mod.f90
+
+fonte_neige_mod.o: dimphy.o indice_sol_mod.o
+		$(FC) $(FCLMDZFLAGS) fonte_neige_mod.f90
+
+limit_slab.o: dimphy.o mod_grid_phy_lmdz.o mod_phys_lmdz_para.o
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) limit_slab.f90
+
+surf_land_bucket_mod.o: limit_read_mod.o surface_data.o fonte_neige_mod.o calcul_fluxs_mod.o cpl_mod.o dimphy.o comgeomphy.o mod_grid_phy_lmdz.o mod_phys_lmdz_para.o indice_sol_mod.o albsno.o calbeta_clim.o calbeta.o soil.o NOread_limit_sub_variables.o
+		$(FC) $(FCLMDZFLAGS) surf_land_bucket_mod.f90
+
+surf_land_mod.o: dimphy.o surface_data.o surf_land_orchidee_noopenmp_mod.o surf_land_orchidee_mod.o surf_land_bucket_mod.o calcul_fluxs_mod.o indice_sol_mod.o
+		$(FC) $(FCLMDZFLAGS) surf_land_mod.f90
+
+surf_landice_mod.o: dimphy.o surface_data.o fonte_neige_mod.o cpl_mod.o calcul_fluxs_mod.o phys_output_var_mod.o indice_sol_mod.o albsno.o soil.o
+		$(FC) $(FCLMDZFLAGS) surf_landice_mod.f90
+
+ocean_forced_mod.o: dimphy.o calcul_fluxs_mod.o limit_read_mod.o indice_sol_mod.o surface_data.o fonte_neige_mod.o calbeta.o soil.o albsno.o NOread_limit_sub_variables.o
+		$(FC) $(FCLMDZFLAGS) ocean_forced_mod.f90
+
+ocean_slab_mod.o: dimphy.o limit_read_mod.o surface_data.o indice_sol_mod.o calcul_fluxs_mod.o limit_slab.o
+		$(FC) $(FCLMDZFLAGS) ocean_slab_mod.f90
+
+ocean_cpl_mod.o: dimphy.o cpl_mod.o calcul_fluxs_mod.o indice_sol_mod.o
+		$(FC) $(FCLMDZFLAGS) ocean_cpl_mod.f90
+
+albedo.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) albedo.f90
+
+surf_ocean_mod.o: dimphy.o surface_data.o ocean_forced_mod.o ocean_slab_mod.o ocean_cpl_mod.o indice_sol_mod.o
+		$(FC) $(FCLMDZFLAGS) surf_ocean_mod.f90
+
+surf_seaice_mod.o: dimphy.o surface_data.o ocean_forced_mod.o ocean_cpl_mod.o indice_sol_mod.o
+		$(FC) $(FCLMDZFLAGS) surf_seaice_mod.f90
+
+climb_hq_mod.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) climb_hq_mod.f90
+
+climb_wind_mod.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) climb_wind_mod.f90
+
+yamada4.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) yamada4.f90
+
+yamada.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) yamada.f90
+
+vdif_kcay.o: dimphy.o yamada.o
+		$(FC) $(FCLMDZFLAGS) vdif_kcay.f90
+
+ustarhb.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) ustarhb.f90
+
+coefkzmin.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) coefkzmin.f90
+
+coef_diff_turb_mod.o: dimphy.o indice_sol_mod.o yamada4.o vdif_kcay.o ustarhb.o coefkzmin.o
+		$(FC) $(FCLMDZFLAGS) coef_diff_turb_mod.f90
+
+stdlevvar.o: coefcdrag.o screenp.o screenc.o
+		$(FC) $(FCLMDZFLAGS) stdlevvar.f90
+
+clcdrag.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) clcdrag.f90
+
+hbtm.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) hbtm.f90
+
+yamada_c.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) yamada_c.f90
+
+pbl_surface_mod.o: dimphy.o mod_phys_lmdz_para.o ioipsl.o surface_data.o surf_land_mod.o surf_landice_mod.o surf_ocean_mod.o surf_seaice_mod.o cpl_mod.o climb_hq_mod.o climb_wind_mod.o coef_diff_turb_mod.o control_mod.o indice_sol_mod.o carbon_cycle_mod.o clcdrag.o stdlevvar.o hbtm.o yamada_c.o
+		$(FC) $(FCLMDZFLAGS) pbl_surface_mod.f90
+
+change_srf_frac_mod.o: dimphy.o surface_data.o limit_read_mod.o pbl_surface_mod.o cpl_mod.o ocean_slab_mod.o indice_sol_mod.o
+		$(FC) $(FCLMDZFLAGS) change_srf_frac_mod.f90
+
+phys_output_mod.o: indice_sol_mod.o phys_output_var_mod.o phys_output_ctrlout_mod.o aero_mod.o iophy.o dimphy.o infotrac.o ioipsl.o phys_cal_mod.o mod_phys_lmdz_para.o
+		$(FC) $(FCLMDZFLAGS) phys_output_mod.f90
+
+phys_output_ctrlout_mod.o: phys_output_var_mod.o indice_sol_mod.o aero_mod.o
+		$(FC) $(FCLMDZFLAGS) phys_output_ctrlout_mod.f90
+
+cfmip_point_locations.o: dimphy.o iophy.o mod_grid_phy_lmdz.o
+		$(FC) $(FCLMDZFLAGS) cfmip_point_locations.f90
+
+mkstat.o: 
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) mkstat.f90
+
+plevel_new.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) plevel_new.f90
+
+plevel.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) plevel.f90
+
+orografi_mod.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) orografi_mod.f90
+
+orografi.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) orografi.f90
+
+orografi_strato_mod.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) orografi_strato_mod.f90
+
+orografi_strato.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) orografi_strato.f90
+
+nuage_mod.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) nuage_mod.f90
+
+nuage.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) nuage.f90
+
+conflx.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) conflx.f90
+
+hgardfou.o: dimphy.o phys_state_var_mod.o indice_sol_mod.o
+		$(FC) $(FCLMDZFLAGS) hgardfou.f90
+
+print_debug_phys.o: dimphy.o phys_state_var_mod.o indice_sol_mod.o
+		$(FC) $(FCLMDZFLAGS) print_debug_phys.f90
+
+add_phys_tend.o: dimphy.o phys_local_var_mod.o phys_state_var_mod.o print_debug_phys.o hgardfou.o
+		$(FC) $(FCLMDZFLAGS) add_phys_tend.f90
+
+solarlong.o: ioipsl.o iniorbit.o
+		$(FC) $(FCLMDZFLAGS) solarlong.f90
+
+phyaqua_mod.o: comgeomphy.o dimphy.o surface_data.o pbl_surface_mod.o fonte_neige_mod.o phys_state_var_mod.o control_mod.o indice_sol_mod.o ioipsl.o 
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) phyaqua_mod.f90
+
+phyaqua.o: comgeomphy.o dimphy.o surface_data.o pbl_surface_mod.o fonte_neige_mod.o phys_state_var_mod.o control_mod.o indice_sol_mod.o ioipsl.o 
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) phyaqua.f90
+
+ajsec.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) ajsec.f90
+
+aaam_bud.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) aaam_bud.f90
+
+diagphy.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) diagphy.f90
+
+diagphy_mod.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) diagphy_mod.f90
+
+readaerosolstrato.o: netcdf95.o phys_cal_mod.o mod_grid_phy_lmdz.o mod_phys_lmdz_mpi_data.o mod_phys_lmdz_para.o phys_state_var_mod.o phys_local_var_mod.o aero_mod.o dimphy.o
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) readaerosolstrato.f90
+
+aeropt_2bands.o: dimphy.o aero_mod.o phys_cal_mod.o pres2lev_mod.o
+		$(FC) $(FCLMDZFLAGS) aeropt_2bands.f90
+
+aeropt_5wv.o: dimphy.o aero_mod.o phys_local_var_mod.o pres2lev_mod.o
+		$(FC) $(FCLMDZFLAGS) aeropt_5wv.f90
+
+readaerosol_mod.o: readaerosol.o
+
+readaerosol.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) readaerosol.f90
+
+readaerosol_interp.o: dimphy.o mod_phys_lmdz_para.o readaerosol_mod.o aero_mod.o write_field_phy.o phys_cal_mod.o pres2lev_mod.o
+		$(FC) $(FCLMDZFLAGS) readaerosol_interp.f90
+
+readaerosol_optic.o: dimphy.o aero_mod.o phys_local_var_mod.o readaerosol_interp.o aeropt.o
+		$(FC) $(FCLMDZFLAGS) readaerosol_optic.f90
+
+cv3p1_closure.o: cv3_cine.o cv3_buoy.o
+		$(FC) $(FCLMDZFLAGS) cv3p1_closure.f90
+
+cv_driver.o: dimphy.o cv_routines.o cv30_routines.o cv3p1_closure.o
+		$(FC) $(FCLMDZFLAGS) cv_driver.f90
+
+cva_driver.o: dimphy.o zilch.o cv_routines.o cv3_routines.o
+		$(FC) $(FCLMDZFLAGS) cva_driver.f90
+
+concvl.o: dimphy.o infotrac.o cv_driver.o cva_driver.o cv3_inip.o
+		$(FC) $(FCLMDZFLAGS) concvl.f90
+
+regr1_lint_m.o: assert_eq_m.o interpolation.o
+		$(FC) $(FCLMDZFLAGS) regr1_lint_m.f90
+
+regr_pr_int_m.o: dimphy.o netcdf95.o assert_m.o regr1_lint_m.o mod_phys_lmdz_mpi_data.o mod_phys_lmdz_transfert_para.o
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) regr_pr_int_m.f90
+
+regr_pr_comb_coefoz_m.o: dimphy.o netcdf95.o assert_m.o mod_phys_lmdz_mpi_data.o regr_pr_av_m.o regr_pr_int_m.o press_coefoz_m.o 
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) regr_pr_comb_coefoz_m.f90
+
+press_coefoz_m.o: netcdf95.o mod_phys_lmdz_mpi_data.o mod_phys_lmdz_mpi_transfert.o 
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) press_coefoz_m.f90
+
+o3_chem_m.o: dimphy.o assert_m.o regr_pr_comb_coefoz_m.o 
+		$(FC) $(FCLMDZFLAGS) o3_chem_m.f90
+
+initrrnpb.o: dimphy.o infotrac.o indice_sol_mod.o
+		$(FC) $(FCLMDZFLAGS) initrrnpb.f90
+
+init_be.o: dimphy.o comgeomphy.o infotrac.o indice_sol_mod.o
+		$(FC) $(FCLMDZFLAGS) init_be.f90
+
+minmaxqfi.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) minmaxqfi.f90
+
+radio_decay.o: dimphy.o infotrac.o
+		$(FC) $(FCLMDZFLAGS) radio_decay.f90
+
+cltracrn.o: dimphy.o indice_sol_mod.o
+		$(FC) $(FCLMDZFLAGS) cltracrn.f90
+
+traclmdz_mod.o: dimphy.o infotrac.o regr_pr_comb_coefoz_m.o press_coefoz_m.o carbon_cycle_mod.o mod_grid_phy_lmdz.o mod_phys_lmdz_para.o indice_sol_mod.o o3_chem_m.o q_sat.o cltracrn.o minmaxqfi.o initrrnpb.o
+		$(FC) $(FCLMDZFLAGS) traclmdz_mod.f90
+
+inistats.o: 
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) inistats.f90
+
+wstats.o: inistats.o 
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) wstats.f90
+
+iostart.o: dimphy.o mod_grid_phy_lmdz.o mod_phys_lmdz_para.o
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) iostart.f90
+
+wake.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) wake.f90
+
+calwake.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) calwake.f90
+
+hines_gwd.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) hines_gwd.f90
+
+ini_undefSTD.o: dimphy.o phys_state_var_mod.o
+		$(FC) $(FCLMDZFLAGS) ini_undefSTD.f90
+
+moy_undefSTD.o: dimphy.o phys_state_var_mod.o
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) moy_undefSTD.f90
+
+newmicro.o: dimphy.o phys_local_var_mod.o phys_state_var_mod.o
+		$(FC) $(FCLMDZFLAGS) newmicro.f90
+
+phyetat0.o: dimphy.o mod_grid_phy_lmdz.o mod_phys_lmdz_para.o iophy.o ocean_cpl_mod.o fonte_neige_mod.o pbl_surface_mod.o surface_data.o phys_state_var_mod.o iostart.o write_field_phy.o infotrac.o traclmdz_mod.o carbon_cycle_mod.o indice_sol_mod.o 
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) phyetat0.f90
+
+transp.o: dimphy.o 
+		$(FC) $(FCLMDZFLAGS) transp.f90
+
+undefSTD.o: dimphy.o phys_state_var_mod.o
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) undefSTD.f90
+
+stratocu_if.o: indice_sol_mod.o
+		$(FC) $(FCLMDZFLAGS) stratocu_if.f90
+
+thermcell.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) thermcell.f90
+
+wrgradsfi.o: dimphy.o mod_grid_phy_lmdz.o mod_phys_lmdz_para.o wrgrads.o gr_fi_dyn.o 
+		$(FC) $(FCLMDZFLAGS) wrgradsfi.f90
+
+thermcell_old.o: dimphy.o thermcell.o
+		$(FC) $(FCLMDZFLAGS) thermcell_old.f90
+
+thermcell_env.o: thermcell_qsat.o
+		$(FC) $(FCLMDZFLAGS) thermcell_env.f90
+
+thermcellV0_main.o: dimphy.o comgeomphy.o thermcell_env.o thermcell_height.o thermcell_flux2.o thermcell_dq.o thermcell_dv2.o 
+		$(FC) $(FCLMDZFLAGS) thermcellV0_main.f90
+
+thermcell_main.o: dimphy.o comgeomphy.o indice_sol_mod.o thermcell_env.o thermcell_plume.o thermcell_height.o thermcell_dry.o thermcell_closure.o thermcell_flux2.o thermcell_dq.o thermcell_dv2.o  
+		$(FC) $(FCLMDZFLAGS) thermcell_main.f90
+
+calltherm.o: indice_sol_mod.o dimphy.o thermcell_old.o thermcellV0_main.o thermcell_main.o
+		$(FC) $(FCLMDZFLAGS) calltherm.f90
+
+callcratqs.o: clouds_gno.o
+		$(FC) $(FCLMDZFLAGS) callcratqs.f90
+
+fisrtilp.o: dimphy.o cloudth.o
+		$(FC) $(FCLMDZFLAGS) fisrtilp.f90
+
+tracinca_mod.o: dimphy.o infotrac.o vampir.o comgeomphy.o control_mod.o indice_sol_mod.o
+		$(FC) $(FCLMDZFLAGS) tracinca_mod.f90
+
+tracreprobus_mod.o: dimphy.o infotrac.o
+		$(FC) $(FCLMDZFLAGS) tracreprobus_mod.f90
+
+cvltrorig.o: dimphy.o infotrac.o
+		$(FC) $(FCLMDZFLAGS) cvltrorig.f90
+
+cvltr.o: dimphy.o infotrac.o
+		$(FC) $(FCLMDZFLAGS) cvltr.f90
+
+nflxtr.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) nflxtr.f90
+
+lsc_scav.o: dimphy.o mod_grid_phy_lmdz.o mod_phys_lmdz_para.o traclmdz_mod.o infotrac.o comgeomphy.o iophy.o
+		$(FC) $(FCLMDZFLAGS) lsc_scav.f90
+
+cltrac.o: dimphy.o 
+		$(FC) $(FCLMDZFLAGS) cltrac.f90
+
+phytrac.o: phys_cal_mod.o phys_output_mod.o dimphy.o infotrac.o mod_grid_phy_lmdz.o mod_phys_lmdz_para.o comgeomphy.o iophy.o traclmdz_mod.o tracinca_mod.o tracreprobus_mod.o control_mod.o indice_sol_mod.o cvltrorig.o cvltr.o nflxtr.o lsc_scav.o cltrac.o
+		$(FC) $(FCLMDZFLAGS) phytrac.f90
+
+initphysto.o: dimphy.o mod_phys_lmdz_para.o ioipsl.o iophy.o control_mod.o indice_sol_mod.o 
+		$(FC) $(FCLMDZFLAGS) initphysto.f90
+
+phystokenc.o: dimphy.o infotrac.o iophy.o control_mod.o indice_sol_mod.o initphysto.o
+		$(FC) $(FCLMDZFLAGS) phystokenc.f90
+
+ener_conserv.o: phys_local_var_mod.o phys_output_var_mod.o
+		$(FC) $(FCLMDZFLAGS) ener_conserv.f90
+
+calcratqs.o: clouds_gno.o
+		$(FC) $(FCLMDZFLAGS) calcratqs.f90
+
+conf_gcm.o: control_mod.o ioipsl.o ioipsl_getincom.o ioipsl.o infotrac.o assert_m.o
+		$(FC) $(FCLMDZFLAGS) conf_gcm.f90
+
+iniphysiq.o: dimphy.o mod_grid_phy_lmdz.o mod_phys_lmdz_para.o comgeomphy.o suphel.o comcstphy.o phyaqua.o
+		$(FC) $(FCLMDZFLAGS) iniphysiq.f90
+
+init_phys_lmdz.o: mod_phys_lmdz_para.o mod_grid_phy_lmdz.o dimphy.o infotrac.o
+		$(FC) $(FCLMDZFLAGS) init_phys_lmdz.f90
+
+moyglo_aire.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) moyglo_aire.f90
+
+global_mean.o: dimphy.o mod_phys_lmdz_para.o mod_phys_lmdz_transfert_para.o mod_phys_lmdz_mpi_data.o
+		$(FC) $(FCLMDZFLAGS) global_mean.f90
+
+phyredem.o: dimphy.o mod_grid_phy_lmdz.o mod_phys_lmdz_para.o fonte_neige_mod.o pbl_surface_mod.o phys_state_var_mod.o iostart.o traclmdz_mod.o infotrac.o control_mod.o carbon_cycle_mod.o indice_sol_mod.o
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) phyredem.f90
+
+wrf_lmdz_mod.o: ../frame/module_domain_type.o ../share/module_model_constants.o indice_sol_mod.o phys_state_var_mod.o phys_output_var_mod.o output_lmdz_NOmodule.o suphel.o pbl_surface_mod.o phys_local_var_mod.o comgeomphy.o
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) wrf_lmdz_mod.f90
+
+##module_lmdz_variables.o: pbl_surface_mod.o indice_sol_mod.o fonte_neige_mod.o dimphy.o
+##		$(FC) $(FCLMDZFLAGS) module_lmdz_variables.f90
+
+physiq_limit_variables_mod.o: mod_grid_phy_lmdz.o indice_sol_mod.o
+		$(FC) $(FCLMDZFLAGS) physiq_limit_variables_mod.f90
+
+lmdz_wrf_variables_mod.o: mod_grid_phy_lmdz.o indice_sol_mod.o
+		$(FC) $(FCLMDZFLAGS) lmdz_wrf_variables_mod.f90
+
+%.o: %.mod
+		@true
+
+physiq.o : $(MODULES) $(DIRECTLMDZOBJS) netcdf95.o ../frame/module_domain.o
+		$(CPP) $(ARCHFLAGS) physiq.F90 > physiq.bb
+		$(WRFcode) physiq.bb | $(CPP) > physiq.f90
+		rm physiq.bb
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) physiq.f90
+
+clean:
+	rm *.f90 *.o *.a *.mod
+	@ echo 'use the clean script'
+
+# DEPENDENCIES : only dependencies after this line (don't remove the word DEPENDENCIES)
+
+# DO NOT DELETE
Index: /branches/LMDZ_WRFmeas/WRFV3/lmdz/Makefile.lmd-jussieu
===================================================================
--- /branches/LMDZ_WRFmeas/WRFV3/lmdz/Makefile.lmd-jussieu	(revision 270)
+++ /branches/LMDZ_WRFmeas/WRFV3/lmdz/Makefile.lmd-jussieu	(revision 270)
@@ -0,0 +1,939 @@
+SFC             =       gfortran
+SCC             =       gcc
+CCOMP           =       gcc
+DM_FC           =       mpif90 -f90=$(SFC)
+DM_CC           =       mpicc -cc=$(SCC)
+FC              =        $(SFC)
+CC              =       $(SCC) -DFSEEKO64_OK
+LD              =       $(FC)
+RWORDSIZE       =       $(NATIVE_RWORDSIZE)
+PROMOTION       =       # -fdefault-real-8  # uncomment manually
+ARCH_LOCAL      =       -DNONSTANDARD_SYSTEM_SUBR
+CFLAGS_LOCAL    =       -w -O3 -c -DLANDREAD_STUB
+LDFLAGS_LOCAL   =
+CPLUSPLUSLIB    =
+ESMF_LDFLAG     =       $(CPLUSPLUSLIB)
+FCOPTIM         =       -O3 -ftree-vectorize -ftree-loop-linear -funroll-loops 
+FCREDUCEDOPT    =       $(FCOPTIM)
+FCNOOPT         =       -O0
+FCDEBUG         =       -g $(FCNOOPT) -fbacktrace -Wall -fbounds-check
+FORMAT_FIXED    =       -ffixed-form
+FORMAT_FREE     =       -ffree-form -ffree-line-length-none
+FCSUFFIX        =
+BYTESWAPIO      =       -fconvert=big-endian -frecord-marker=4
+FCBASEOPTS_NO_G =       -w $(FORMAT_FREE) $(BYTESWAPIO)
+FCBASEOPTS      =       $(FCBASEOPTS_NO_G) $(FCDEBUG)
+MODULE_SRCH_FLAG =
+TRADFLAG        =      -traditional
+CPP             =      /lib/cpp -C -P
+AR              =      ar
+ARFLAGS         =      ru
+M4              =      m4 -G
+RANLIB          =      ranlib
+CC_TOOLS        =      $(SCC)
+
+.SUFFIXES: 
+.SUFFIXES: .F90 .f90 .o .mod 
+
+ARCHFLAGS       =    $(COREDEFS) -DIWORDSIZE=$(IWORDSIZE) -DDWORDSIZE=$(DWORDSIZE) -DRWORDSIZE=$(RWORDSIZE) -DLWORDSIZE=$(LWORDSIZE) \
+                     $(ARCH_LOCAL) \
+                     $(DA_ARCHFLAGS) \
+                      -DDM_PARALLEL \
+                      -DSTUBMPI \
+                      -DNETCDF \
+                      -DLMDZ \
+                      -DCPP_IOIPSL \
+                      -DhistNMC \
+                       \
+                       \
+                       \
+                       \
+                      -DUSE_ALLOCATABLES \
+                      -DGRIB1 \
+                      -DINTIO \
+                      -DLIMIT_ARGS \
+                      -DCONFIG_BUF_LEN=$(CONFIG_BUF_LEN) \
+                      -DMAX_DOMAINS_F=$(MAX_DOMAINS) \
+                      -DMAX_HISTORY=$(MAX_HISTORY) \
+                      -DNMM_NEST=$(WRF_NMM_NEST)
+
+FCLMDZFLAGS         =    $(FCOPTIM) $(FCBASEOPTS) -c
+
+NETCDFPATH      =    ${HOME}/bin/gcc_netcdf-4.3.0
+
+LIB_NETCDF    = -L${NETCDFPATH}/lib  -lnetcdf -lnetcdff 
+INC_NETCDF    = -I$(NETCDFPATH)/include
+
+WRFcode = ../tools/standard.exe
+
+#### end from configure.wrf
+
+
+LN      =       ln -sf
+MAKE    =       make -i -r
+RM      =       rm -f
+
+DIRECTLMDZOBJS = \
+		aero_mod.o \
+		albsno.o \
+		indice_sol_mod.o \
+		mod_grid_phy_lmdz.o \
+		ioipsl_errioipsl.o \
+		ioipsl_stringop.o \
+		dimphy.o \
+		phys_output_var_mod.o \
+		misc_mod.o \
+		vampir.o \
+		surface_data.o \
+		control_mod.o \
+		mod_const_mpi.o \
+		calbeta_clim.o \
+		comcstphy.o \
+		assert_m.o \
+		assert_eq_m.o \
+		interpolation.o \
+		coefcdrag.o \
+		screenp.o \
+		screenc.o \
+		iniorbit.o \
+		orbite.o \
+		orbite_mod.o \
+		clouds_gno.o \
+		ini_wake.o \
+		radiation_ar4_param.o \
+		evappot.o \
+		q_sat.o \
+		pres2lev_mod.o \
+		cv_routines.o \
+		cv30_routines.o \
+		cv3_routines.o \
+		cv3_mixscale.o \
+		cv3_vertmix.o \
+		cv3a_compress.o \
+		cv3a_uncompress.o \
+		cv3p_mixing.o \
+		cv3_buoy.o \
+		cv3_cine.o \
+		suphel.o \
+		zilch.o \
+		aeropt.o \
+		cv3_inip.o \
+		printflag.o \
+		iniradia.o \
+		cloudth.o \
+		thermcell_height.o \
+		thermcell_flux2.o \
+		thermcell_dq.o \
+		thermcell_dv2.o \
+		thermcell_qsat.o \
+		thermcell_plume.o \
+		thermcell_condens.o \
+		thermcell_dry.o \
+		thermcell_closure.o \
+		wrgrads.o \
+		formcoord.o \
+		gr_fi_dyn.o \
+		NOread_limit_sub_variables.o \
+		output_lmdz_NOmodule.o \
+		cray.o
+
+MODULES = \
+		comgeomphy.o \
+		open_climoz_m.o \
+		netcdf95.o \
+		mod_phys_lmdz_para.o \
+		mod_phys_lmdz_transfert_para.o \
+                mod_phys_lmdz_mpi_transfert.o \
+		mod_phys_lmdz_mpi_data.o \
+                mod_phys_lmdz_omp_transfert.o \
+		mod_phys_lmdz_omp_data.o \
+		phys_cal_mod.o \
+		regr_pr_av_m.o \
+		ozonecm_m.o \
+		regr1_step_av_m.o \
+		conf_phys_m.o \
+		radlwsw_m.o \
+		sw_aeroAR4.o \
+		write_field.o \
+		write_field_phy.o \
+		infotrac.o \
+		iophy.o \
+		clcdrag.o \
+		stdlevvar.o \
+		hbtm.o \
+		yamada_c.o \
+		pbl_surface_mod.o \
+		read_map2D.o \
+		carbon_cycle_mod.o \
+		surf_land_mod.o \
+		albedo.o \
+		surf_land_orchidee_noopenmp_mod.o \
+		cpl_mod.o \
+		atm2geo.o \
+		geo2atm.o \
+		oasis.o \
+		phys_state_var_mod.o \
+		surf_land_orchidee_mod.o \
+		mod_surf_para.o \
+		mod_synchro_omp.o \
+		surf_land_bucket_mod.o \
+		limit_read_mod.o \
+		fonte_neige_mod.o \
+		calcul_fluxs_mod.o \
+		calbeta.o \
+		soil.o \
+		surf_landice_mod.o \
+		surf_ocean_mod.o \
+		limit_slab.o \
+		ocean_forced_mod.o \
+		ocean_slab_mod.o \
+		ocean_cpl_mod.o \
+		surf_seaice_mod.o \
+		climb_hq_mod.o \
+		climb_wind_mod.o \
+		ustarhb.o \
+		vdif_kcay.o \
+		yamada.o \
+		yamada4.o \
+		coefkzmin.o \
+		coef_diff_turb_mod.o \
+		change_srf_frac_mod.o \
+		phys_local_var_mod.o \
+		phys_output_mod.o \
+		phys_output_ctrlout_mod.o \
+		cfmip_point_locations.o \
+		ioipsl_getincom.o \
+		abort_gcm.o \
+		plevel_new.o \
+		plevel.o \
+		orografi.o \
+		orografi_mod.o \
+		orografi_strato_mod.o \
+		nuage.o \
+		nuage_mod.o \
+		conflx.o \
+		radiation_AR4_mod.o \
+		add_phys_tend.o \
+		print_debug_phys.o \
+		hgardfou.o \
+		solarlong.o \
+		phyaqua.o \
+		phyaqua_mod.o \
+		concvl.o \
+		ajsec.o \
+		aaam_bud.o \
+		diagphy.o \
+		diagphy_mod.o \
+		readaerosolstrato.o \
+		mkstat.o \
+		readaerosol_optic.o \
+		aeropt_2bands.o \
+		aeropt_5wv.o \
+		readaerosol_interp.o \
+		readaerosol.o \
+		cva_driver.o \
+		cv_driver.o \
+		cv3p1_closure.o \
+		traclmdz_mod.o \
+		cltracrn.o \
+		radio_decay.o \
+		minmaxqfi.o \
+		initrrnpb.o \
+		init_be.o \
+		o3_chem_m.o \
+		regr_pr_comb_coefoz_m.o \
+		regr_pr_int_m.o \
+		regr1_lint_m.o \
+		press_coefoz_m.o \
+		iostart.o \
+		wstats.o \
+		inistats.o \
+		phyredem.o \
+		hines_gwd.o \
+		ini_undefSTD.o \
+		moy_undefSTD.o \
+		phyetat0.o \
+		transp.o \
+		undefSTD.o \
+		calwake.o \
+		wake.o \
+		newmicro.o \
+		calltherm.o \
+		thermcell_old.o \
+		wrgradsfi.o \
+		thermcell.o \
+		thermcellV0_main.o \
+		thermcell_env.o \
+		thermcell_main.o \
+		fisrtilp.o \
+		stratocu_if.o \
+		phystokenc.o \
+		initphysto.o \
+		ener_conserv.o \
+		tracinca_mod.o \
+		tracreprobus_mod.o \
+		cvltrorig.o \
+		cvltr.o \
+		nflxtr.o \
+		lsc_scav.o \
+		cltrac.o \
+		calcratqs.o \
+		iniphysiq.o \
+		conf_gcm.o \
+		init_phys_lmdz.o \
+		moyglo_aire.o \
+		global_mean.o \
+		wrf_lmdz_mod.o \
+		physiq_limit_variables_mod.o \
+		lmdz_wrf_variables_mod.o \
+		phytrac.o 
+
+DIRECTLMDZSRC = $(DIRECTLMDZOBJS:.o=.F90)
+LMDZSOURCES = $(MODULES:.o=.F90)
+LMDZPRE = $(MODULES:.o=.bb)
+LMDZPOST = $(MODULES:.o=.f90)
+LMDZMOD = $(MODULES:.o=.mod)
+
+NETCDF95OBJS = \
+		nf95_def_var_m.o \
+		nf95_put_var_m.o \
+		nf95_get_var_m.o \
+		nf95_gw_var_m.o \
+		nf95_put_att_m.o \
+		nf95_get_att_m.o \
+		simple.o \
+		handle_err_m.o
+
+NETCDF95SOURCES = $(NETCDF95OBJS:.o=.F90)
+NETCDF95PRE = $(NETCDF95OBJS:.o=.bb)
+NETCDF95POST = $(NETCDF95OBJS:.o=.f90)
+
+OBJS    = physiq.o 
+
+NMM_MODULES =  
+
+LIBTARGET    =  lmdz
+TARGETDIR    =  ./
+
+DIRECTIOIPSLMOD =	\
+        defprec.o \
+	errioipsl.o \
+	stringop.o \
+
+DEPIOIPSLMOD = 	\
+	mathelp.o \
+	getincom.o \
+	calendar.o \
+	fliocom.o \
+	flincom.o \
+	histcom.o \
+	restcom.o \
+	ioipsl.o 
+
+DIRECTIOIPSLSRC = $(DIRECTIOIPSLMOD:.o=.f90)
+
+IOIPSLFOLD = ./IOIPSL
+FULLIOIPSLMODS = $(addprefix $(IOIPSLFOLD)/,$(IOIPSLMOD))
+
+##include ../configure.wrf
+
+all : preprocess lmdz.a 
+
+lmdz.a:		$(MODULES) $(OBJS) $(DIRECTLMDZOBJS) $(DIRECTIOIPSLMOD) $(DEPIOIPSLMOD) $(NETCDF95OBJS)
+		/bin/rm -f lmdz.a
+		$(AR) cr lmdz.a $(MODULES) $(OBJS) $(DIRECTLMDZOBJS) $(DIRECTIOIPSLMOD) $(DEPIOIPSLMOD) $(NETCDF95OBJS)
+
+# IOIPSL
+ 
+$(DIRECTIOIPSLMOD): 
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) $(addprefix $(IOIPSLFOLD)/,$(DIRECTIOIPSLSRC))
+
+calendar.o: stringop.o errioipsl.o
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) $(addprefix $(IOIPSLFOLD)/,calendar.f90)
+
+getincom.o: stringop.o errioipsl.o
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) $(addprefix $(IOIPSLFOLD)/,getincom.f90)
+
+mathelp.o: stringop.o errioipsl.o
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) $(addprefix $(IOIPSLFOLD)/,mathelp.f90)
+
+flincom.o: stringop.o errioipsl.o calendar.o
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) $(addprefix $(IOIPSLFOLD)/,flincom.f90)
+
+fliocom.o: stringop.o errioipsl.o calendar.o defprec.o
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) $(addprefix $(IOIPSLFOLD)/,fliocom.f90)
+
+histcom.o: stringop.o errioipsl.o calendar.o mathelp.o fliocom.o
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) $(addprefix $(IOIPSLFOLD)/,histcom.f90)
+
+restcom.o: stringop.o errioipsl.o calendar.o mathelp.o fliocom.o
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) $(addprefix $(IOIPSLFOLD)/,restcom.f90)
+
+ioipsl.o: $(DIRECTIOIPSLMOD) getincom.o calendar.o mathelp.o flincom.o fliocom.o histcom.o restcom.o 
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) $(addprefix $(IOIPSLFOLD)/,ioipsl.f90)
+
+# LMDZ
+#
+preprocess: $(LMDZPOST) $(NETCDF95POST)
+
+$(LMDZPOST): %.f90: %.bb
+		$(WRFcode) $< | $(CPP) > $@
+		rm $<
+
+$(LMDZPRE): %.bb: %.F90
+		$(CPP) $(ARCHFLAGS) $< > $@
+
+$(NETCDF95POST): %.f90: %.bb
+		$(WRFcode) $< | $(CPP) > $@
+		rm $<
+
+$(NETCDF95PRE): %.bb: %.F90
+		$(CPP) $(ARCHFLAGS) $< > $@
+
+$(DIRECTLMDZOBJS): 
+		$(FC) $(FCLMDZFLAGS) $(DIRECTLMDZSRC)
+
+infotrac.o: control_mod.o
+		$(FC) $(FCLMDZFLAGS) infotrac.f90
+
+
+mod_phys_lmdz_mpi_data.o: mod_const_mpi.o
+		$(FC) $(FCLMDZFLAGS) mod_phys_lmdz_mpi_data.f90
+
+ioipsl_getincom.o: ioipsl_errioipsl.o ioipsl_stringop.o
+		$(FC) $(FCLMDZFLAGS) ioipsl_getincom.f90
+
+abort_gcm.o: ioipsl.o ioipsl_getincom.o
+		$(FC) $(FCLMDZFLAGS) abort_gcm.f90
+
+write_field.o: 
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) write_field.f90
+
+mod_phys_lmdz_omp_data.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) mod_phys_lmdz_omp_data.f90
+
+mod_phys_lmdz_omp_transfert.o: mod_phys_lmdz_mpi_data.o mod_phys_lmdz_omp_data.o
+		$(FC) $(FCLMDZFLAGS) mod_phys_lmdz_omp_transfert.f90
+
+mod_phys_lmdz_mpi_transfert.o: mod_phys_lmdz_mpi_data.o mod_grid_phy_lmdz.o  mod_phys_lmdz_omp_transfert.o
+		$(FC) $(FCLMDZFLAGS) mod_phys_lmdz_mpi_transfert.f90
+
+mod_phys_lmdz_transfert_para.o: mod_phys_lmdz_mpi_transfert.o mod_phys_lmdz_omp_transfert.o
+		$(FC) $(FCLMDZFLAGS) mod_phys_lmdz_transfert_para.f90
+
+mod_phys_lmdz_para.o: mod_phys_lmdz_transfert_para.o mod_phys_lmdz_mpi_data.o mod_phys_lmdz_omp_data.o mod_grid_phy_lmdz.o
+		$(FC) $(FCLMDZFLAGS) mod_phys_lmdz_para.f90
+
+comgeomphy.o: mod_phys_lmdz_para.o
+		$(FC) $(FCLMDZFLAGS) comgeomphy.f90
+
+handle_err_m.o: 
+		$(FC) $(FCLMDZFLAGS)  $(LIB_NETCDF) $(INC_NETCDF) handle_err_m.f90
+
+nf95_def_var_m.o: handle_err_m.o
+		$(FC) $(FCLMDZFLAGS)  $(LIB_NETCDF) $(INC_NETCDF) nf95_def_var_m.f90
+
+nf95_put_var_m.o: handle_err_m.o
+		$(FC) $(FCLMDZFLAGS)  $(LIB_NETCDF) $(INC_NETCDF) nf95_put_var_m.f90
+
+nf95_get_var_m.o: handle_err_m.o
+		$(FC) $(FCLMDZFLAGS)  $(LIB_NETCDF) $(INC_NETCDF) nf95_get_var_m.f90
+
+simple.o: handle_err_m.o
+		$(FC) $(FCLMDZFLAGS)  $(LIB_NETCDF) $(INC_NETCDF) simple.f90
+
+nf95_gw_var_m.o: handle_err_m.o simple.o
+		$(FC) $(FCLMDZFLAGS)  $(LIB_NETCDF) $(INC_NETCDF) nf95_gw_var_m.f90
+
+nf95_put_att_m.o: handle_err_m.o
+		$(FC) $(FCLMDZFLAGS)  $(LIB_NETCDF) $(INC_NETCDF) nf95_put_att_m.f90
+
+nf95_get_att_m.o: handle_err_m.o simple.o
+		$(FC) $(FCLMDZFLAGS)  $(LIB_NETCDF) $(INC_NETCDF) nf95_get_att_m.f90
+
+netcdf95.o: $(NETCDF95OBJS) 
+		$(FC) $(FCLMDZFLAGS) netcdf95.f90
+
+open_climoz_m.o: mod_phys_lmdz_mpi_data.o mod_phys_lmdz_mpi_transfert.o netcdf95.o
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) open_climoz_m.f90
+
+regr1_step_av_m.o: assert_eq_m.o assert_m.o interpolation.o
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) regr1_step_av_m.f90
+
+regr_pr_av_m.o: dimphy.o netcdf95.o assert_m.o assert_eq_m.o regr1_step_av_m.o mod_phys_lmdz_mpi_data.o mod_phys_lmdz_transfert_para.o
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) regr_pr_av_m.f90
+
+ozonecm_m.o: dimphy.o assert_m.o
+		$(FC) $(FCLMDZFLAGS) ozonecm_m.f90
+
+conf_phys_m.o: ioipsl.o surface_data.o phys_cal_mod.o carbon_cycle_mod.o control_mod.o
+		$(FC) $(FCLMDZFLAGS) conf_phys_m.f90
+
+radiation_AR4_mod.o: dimphy.o radiation_ar4_param.o
+		$(FC) $(FCLMDZFLAGS) radiation_AR4_mod.f90	
+
+sw_aeroAR4.o: dimphy.o phys_output_mod.o radiation_AR4_mod.o
+		$(FC) $(FCLMDZFLAGS) sw_aeroAR4.f90	
+
+radlwsw_m.o: dimphy.o assert_m.o infotrac.o radiation_AR4_mod.o sw_aeroAR4.o
+		$(FC) $(FCLMDZFLAGS) radlwsw_m.f90
+
+phys_cal_mod.o: ioipsl.o
+		$(FC) $(FCLMDZFLAGS) phys_cal_mod.f90
+
+write_field_phy.o: write_field.o
+		$(FC) $(FCLMDZFLAGS) write_field_phy.f90
+
+iophy.o: ioipsl.o phys_output_var_mod.o write_field.o
+		$(FC) $(FCLMDZFLAGS) iophy.f90
+
+read_map2D.o: dimphy.o mod_grid_phy_lmdz.o mod_phys_lmdz_para.o
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) read_map2D.f90
+
+carbon_cycle_mod.o: dimphy.o comgeomphy.o mod_phys_lmdz_transfert_para.o infotrac.o ioipsl.o surface_data.o phys_cal_mod.o indice_sol_mod.o read_map2D.o
+		$(FC) $(FCLMDZFLAGS) carbon_cycle_mod.f90
+
+oasis.o:
+ifeq ($(ARCHFLAGS), -DCPP_COUPLE)
+oasis.o: dimphy.o mod_phys_lmdz_para.o write_field_phy.o mod_prism_proto.o mod_prism_def_partition_proto.o mod_prism_get_proto.o mod_prism_put_proto.o ioipsl.o surface_data.o carbon_cycle_mod.o
+		$(FC) $(FCLMDZFLAGS) oasis.f90
+else
+oasis.o: dimphy.o mod_phys_lmdz_para.o write_field_phy.o ioipsl.o surface_data.o carbon_cycle_mod.o
+		$(FC) $(FCLMDZFLAGS) oasis.f90
+endif
+
+phys_state_var_mod.o: dimphy.o control_mod.o aero_mod.o infotrac.o indice_sol_mod.o
+		$(FC) $(FCLMDZFLAGS) phys_state_var_mod.f90
+
+atm2geo.o: dimphy.o mod_phys_lmdz_para.o
+		$(FC) $(FCLMDZFLAGS) atm2geo.f90
+
+geo2atm.o: dimphy.o mod_phys_lmdz_para.o
+		$(FC) $(FCLMDZFLAGS) geo2atm.f90
+
+cpl_mod.o: dimphy.o mod_phys_lmdz_para.o ioipsl.o iophy.o oasis.o write_field_phy.o control_mod.o carbon_cycle_mod.o surface_data.o indice_sol_mod.o phys_state_var_mod.o
+		$(FC) $(FCLMDZFLAGS) cpl_mod.f90
+
+surf_land_orchidee_noopenmp_mod.o:
+ifeq ($(ARCHFLAGS), -DORCHIDEE_NOOPENMP)
+intersurf.o: 
+		$(FC) $(FCLMDZFLAGS) intersurf.f90
+
+surf_land_orchidee_noopenmp_mod.o: dimphy.o intersurf.o cpl_mod.o surface_data.o comgeomphy.o mod_grid_phy_lmdz.o mod_phys_lmdz_para.o carbon_cycle_mod.o indice_sol_mod.o
+		$(FC) $(FCLMDZFLAGS) surf_land_orchidee_noopenmp_mod.f90
+else
+surf_land_orchidee_noopenmp_mod.o: dimphy.o cpl_mod.o surface_data.o comgeomphy.o mod_grid_phy_lmdz.o mod_phys_lmdz_para.o carbon_cycle_mod.o indice_sol_mod.o
+		$(FC) $(FCLMDZFLAGS) surf_land_orchidee_noopenmp_mod.f90
+endif
+ifeq ($(ARCHFLAGS), -DCPP_VEGET)
+intersurf.o: 
+		$(FC) $(FCLMDZFLAGS) intersurf.f90
+
+surf_land_orchidee_noopenmp_mod.o: dimphy.o intersurf.o cpl_mod.o surface_data.o comgeomphy.o mod_grid_phy_lmdz.o mod_phys_lmdz_para.o carbon_cycle_mod.o indice_sol_mod.o
+		rm surf_land_orchidee_noopenmp_mod.o
+		$(FC) $(FCLMDZFLAGS) surf_land_orchidee_noopenmp_mod.f90
+else
+surf_land_orchidee_noopenmp_mod.o: dimphy.o cpl_mod.o surface_data.o comgeomphy.o mod_grid_phy_lmdz.o mod_phys_lmdz_para.o carbon_cycle_mod.o indice_sol_mod.o
+		$(FC) $(FCLMDZFLAGS) surf_land_orchidee_noopenmp_mod.f90
+endif
+
+mod_surf_para.o: mod_phys_lmdz_para.o
+		$(FC) $(FCLMDZFLAGS) mod_surf_para.f90
+
+mod_synchro_omp.o: mod_phys_lmdz_para.o
+		$(FC) $(FCLMDZFLAGS) mod_synchro_omp.f90
+
+surf_land_orchidee_mod.o: 
+ifeq ($(ARCHFLAGS), -DORCHIDEE_NOOPENMP)
+intersurf.o: 
+		$(FC) $(FCLMDZFLAGS) intersurf.f90
+
+surf_land_orchidee_mod.o: dimphy.o intersurf.o cpl_mod.o surface_data.o comgeomphy.o mod_grid_phy_lmdz.o mod_phys_lmdz_para.o mod_surf_para.o mod_synchro_omp.o carbon_cycle_mod.o indice_sol_mod.o
+		$(FC) $(FCLMDZFLAGS) surf_land_orchidee_mod.f90
+else
+surf_land_orchidee_mod.o: dimphy.o cpl_mod.o surface_data.o comgeomphy.o mod_grid_phy_lmdz.o mod_phys_lmdz_para.o mod_surf_para.o mod_synchro_omp.o carbon_cycle_mod.o indice_sol_mod.o
+endif
+ifeq ($(ARCHFLAGS), -DCPP_VEGET)
+intersurf.o: 
+		$(FC) $(FCLMDZFLAGS) intersurf.f90
+
+surf_land_orchidee_mod.o: dimphy.o intersurf.o cpl_mod.o surface_data.o comgeomphy.o mod_grid_phy_lmdz.o mod_phys_lmdz_para.o mod_surf_para.o mod_synchro_omp.o carbon_cycle_mod.o indice_sol_mod.o
+		rm surf_land_orchidee_mod.o
+		$(FC) $(FCLMDZFLAGS) surf_land_orchidee_mod.f90
+else
+surf_land_orchidee_mod.o: dimphy.o cpl_mod.o surface_data.o comgeomphy.o mod_grid_phy_lmdz.o mod_phys_lmdz_para.o mod_surf_para.o mod_synchro_omp.o carbon_cycle_mod.o indice_sol_mod.o
+		$(FC) $(FCLMDZFLAGS) surf_land_orchidee_mod.f90
+endif
+
+limit_read_mod.o: dimphy.o indice_sol_mod.o surface_data.o mod_grid_phy_lmdz.o mod_phys_lmdz_para.o 
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) limit_read_mod.f90
+
+phys_local_var_mod.o: dimphy.o infotrac.o aero_mod.o indice_sol_mod.o
+		$(FC) $(FCLMDZFLAGS) phys_local_var_mod.f90
+
+calbeta.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) calbeta.f90
+
+soil.o: dimphy.o mod_phys_lmdz_para.o
+		$(FC) $(FCLMDZFLAGS) soil.f90
+
+calcul_fluxs_mod.o: dimphy.o indice_sol_mod.o
+		$(FC) $(FCLMDZFLAGS) calcul_fluxs_mod.f90
+
+fonte_neige_mod.o: dimphy.o indice_sol_mod.o
+		$(FC) $(FCLMDZFLAGS) fonte_neige_mod.f90
+
+limit_slab.o: dimphy.o mod_grid_phy_lmdz.o mod_phys_lmdz_para.o
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) limit_slab.f90
+
+surf_land_bucket_mod.o: limit_read_mod.o surface_data.o fonte_neige_mod.o calcul_fluxs_mod.o cpl_mod.o dimphy.o comgeomphy.o mod_grid_phy_lmdz.o mod_phys_lmdz_para.o indice_sol_mod.o albsno.o calbeta_clim.o calbeta.o soil.o NOread_limit_sub_variables.o
+		$(FC) $(FCLMDZFLAGS) surf_land_bucket_mod.f90
+
+surf_land_mod.o: dimphy.o surface_data.o surf_land_orchidee_noopenmp_mod.o surf_land_orchidee_mod.o surf_land_bucket_mod.o calcul_fluxs_mod.o indice_sol_mod.o
+		$(FC) $(FCLMDZFLAGS) surf_land_mod.f90
+
+surf_landice_mod.o: dimphy.o surface_data.o fonte_neige_mod.o cpl_mod.o calcul_fluxs_mod.o phys_output_var_mod.o indice_sol_mod.o albsno.o soil.o
+		$(FC) $(FCLMDZFLAGS) surf_landice_mod.f90
+
+ocean_forced_mod.o: dimphy.o calcul_fluxs_mod.o limit_read_mod.o indice_sol_mod.o surface_data.o fonte_neige_mod.o calbeta.o soil.o albsno.o NOread_limit_sub_variables.o
+		$(FC) $(FCLMDZFLAGS) ocean_forced_mod.f90
+
+ocean_slab_mod.o: dimphy.o limit_read_mod.o surface_data.o indice_sol_mod.o calcul_fluxs_mod.o limit_slab.o
+		$(FC) $(FCLMDZFLAGS) ocean_slab_mod.f90
+
+ocean_cpl_mod.o: dimphy.o cpl_mod.o calcul_fluxs_mod.o indice_sol_mod.o
+		$(FC) $(FCLMDZFLAGS) ocean_cpl_mod.f90
+
+albedo.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) albedo.f90
+
+surf_ocean_mod.o: dimphy.o surface_data.o ocean_forced_mod.o ocean_slab_mod.o ocean_cpl_mod.o indice_sol_mod.o
+		$(FC) $(FCLMDZFLAGS) surf_ocean_mod.f90
+
+surf_seaice_mod.o: dimphy.o surface_data.o ocean_forced_mod.o ocean_cpl_mod.o indice_sol_mod.o
+		$(FC) $(FCLMDZFLAGS) surf_seaice_mod.f90
+
+climb_hq_mod.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) climb_hq_mod.f90
+
+climb_wind_mod.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) climb_wind_mod.f90
+
+yamada4.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) yamada4.f90
+
+yamada.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) yamada.f90
+
+vdif_kcay.o: dimphy.o yamada.o
+		$(FC) $(FCLMDZFLAGS) vdif_kcay.f90
+
+ustarhb.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) ustarhb.f90
+
+coefkzmin.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) coefkzmin.f90
+
+coef_diff_turb_mod.o: dimphy.o indice_sol_mod.o yamada4.o vdif_kcay.o ustarhb.o coefkzmin.o
+		$(FC) $(FCLMDZFLAGS) coef_diff_turb_mod.f90
+
+stdlevvar.o: coefcdrag.o screenp.o screenc.o
+		$(FC) $(FCLMDZFLAGS) stdlevvar.f90
+
+clcdrag.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) clcdrag.f90
+
+hbtm.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) hbtm.f90
+
+yamada_c.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) yamada_c.f90
+
+pbl_surface_mod.o: dimphy.o mod_phys_lmdz_para.o ioipsl.o surface_data.o surf_land_mod.o surf_landice_mod.o surf_ocean_mod.o surf_seaice_mod.o cpl_mod.o climb_hq_mod.o climb_wind_mod.o coef_diff_turb_mod.o control_mod.o indice_sol_mod.o carbon_cycle_mod.o clcdrag.o stdlevvar.o hbtm.o yamada_c.o
+		$(FC) $(FCLMDZFLAGS) pbl_surface_mod.f90
+
+change_srf_frac_mod.o: dimphy.o surface_data.o limit_read_mod.o pbl_surface_mod.o cpl_mod.o ocean_slab_mod.o indice_sol_mod.o
+		$(FC) $(FCLMDZFLAGS) change_srf_frac_mod.f90
+
+phys_output_mod.o: indice_sol_mod.o phys_output_var_mod.o phys_output_ctrlout_mod.o aero_mod.o iophy.o dimphy.o infotrac.o ioipsl.o phys_cal_mod.o mod_phys_lmdz_para.o
+		$(FC) $(FCLMDZFLAGS) phys_output_mod.f90
+
+phys_output_ctrlout_mod.o: phys_output_var_mod.o indice_sol_mod.o aero_mod.o
+		$(FC) $(FCLMDZFLAGS) phys_output_ctrlout_mod.f90
+
+cfmip_point_locations.o: dimphy.o iophy.o mod_grid_phy_lmdz.o
+		$(FC) $(FCLMDZFLAGS) cfmip_point_locations.f90
+
+mkstat.o: 
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) mkstat.f90
+
+plevel_new.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) plevel_new.f90
+
+plevel.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) plevel.f90
+
+orografi_mod.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) orografi_mod.f90
+
+orografi.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) orografi.f90
+
+orografi_strato_mod.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) orografi_strato_mod.f90
+
+orografi_strato.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) orografi_strato.f90
+
+nuage_mod.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) nuage_mod.f90
+
+nuage.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) nuage.f90
+
+conflx.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) conflx.f90
+
+hgardfou.o: dimphy.o phys_state_var_mod.o indice_sol_mod.o
+		$(FC) $(FCLMDZFLAGS) hgardfou.f90
+
+print_debug_phys.o: dimphy.o phys_state_var_mod.o indice_sol_mod.o
+		$(FC) $(FCLMDZFLAGS) print_debug_phys.f90
+
+add_phys_tend.o: dimphy.o phys_local_var_mod.o phys_state_var_mod.o print_debug_phys.o hgardfou.o
+		$(FC) $(FCLMDZFLAGS) add_phys_tend.f90
+
+solarlong.o: ioipsl.o iniorbit.o
+		$(FC) $(FCLMDZFLAGS) solarlong.f90
+
+phyaqua_mod.o: comgeomphy.o dimphy.o surface_data.o pbl_surface_mod.o fonte_neige_mod.o phys_state_var_mod.o control_mod.o indice_sol_mod.o ioipsl.o 
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) phyaqua_mod.f90
+
+phyaqua.o: comgeomphy.o dimphy.o surface_data.o pbl_surface_mod.o fonte_neige_mod.o phys_state_var_mod.o control_mod.o indice_sol_mod.o ioipsl.o 
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) phyaqua.f90
+
+ajsec.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) ajsec.f90
+
+aaam_bud.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) aaam_bud.f90
+
+diagphy.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) diagphy.f90
+
+diagphy_mod.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) diagphy_mod.f90
+
+readaerosolstrato.o: netcdf95.o phys_cal_mod.o mod_grid_phy_lmdz.o mod_phys_lmdz_mpi_data.o mod_phys_lmdz_para.o phys_state_var_mod.o phys_local_var_mod.o aero_mod.o dimphy.o
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) readaerosolstrato.f90
+
+aeropt_2bands.o: dimphy.o aero_mod.o phys_cal_mod.o pres2lev_mod.o
+		$(FC) $(FCLMDZFLAGS) aeropt_2bands.f90
+
+aeropt_5wv.o: dimphy.o aero_mod.o phys_local_var_mod.o pres2lev_mod.o
+		$(FC) $(FCLMDZFLAGS) aeropt_5wv.f90
+
+readaerosol_mod.o: readaerosol.o
+
+readaerosol.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) readaerosol.f90
+
+readaerosol_interp.o: dimphy.o mod_phys_lmdz_para.o readaerosol_mod.o aero_mod.o write_field_phy.o phys_cal_mod.o pres2lev_mod.o
+		$(FC) $(FCLMDZFLAGS) readaerosol_interp.f90
+
+readaerosol_optic.o: dimphy.o aero_mod.o phys_local_var_mod.o readaerosol_interp.o aeropt.o
+		$(FC) $(FCLMDZFLAGS) readaerosol_optic.f90
+
+cv3p1_closure.o: cv3_cine.o cv3_buoy.o
+		$(FC) $(FCLMDZFLAGS) cv3p1_closure.f90
+
+cv_driver.o: dimphy.o cv_routines.o cv30_routines.o cv3p1_closure.o
+		$(FC) $(FCLMDZFLAGS) cv_driver.f90
+
+cva_driver.o: dimphy.o zilch.o cv_routines.o cv3_routines.o
+		$(FC) $(FCLMDZFLAGS) cva_driver.f90
+
+concvl.o: dimphy.o infotrac.o cv_driver.o cva_driver.o cv3_inip.o
+		$(FC) $(FCLMDZFLAGS) concvl.f90
+
+regr1_lint_m.o: assert_eq_m.o interpolation.o
+		$(FC) $(FCLMDZFLAGS) regr1_lint_m.f90
+
+regr_pr_int_m.o: dimphy.o netcdf95.o assert_m.o regr1_lint_m.o mod_phys_lmdz_mpi_data.o mod_phys_lmdz_transfert_para.o
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) regr_pr_int_m.f90
+
+regr_pr_comb_coefoz_m.o: dimphy.o netcdf95.o assert_m.o mod_phys_lmdz_mpi_data.o regr_pr_av_m.o regr_pr_int_m.o press_coefoz_m.o 
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) regr_pr_comb_coefoz_m.f90
+
+press_coefoz_m.o: netcdf95.o mod_phys_lmdz_mpi_data.o mod_phys_lmdz_mpi_transfert.o 
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) press_coefoz_m.f90
+
+o3_chem_m.o: dimphy.o assert_m.o regr_pr_comb_coefoz_m.o 
+		$(FC) $(FCLMDZFLAGS) o3_chem_m.f90
+
+initrrnpb.o: dimphy.o infotrac.o indice_sol_mod.o
+		$(FC) $(FCLMDZFLAGS) initrrnpb.f90
+
+init_be.o: dimphy.o comgeomphy.o infotrac.o indice_sol_mod.o
+		$(FC) $(FCLMDZFLAGS) init_be.f90
+
+minmaxqfi.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) minmaxqfi.f90
+
+radio_decay.o: dimphy.o infotrac.o
+		$(FC) $(FCLMDZFLAGS) radio_decay.f90
+
+cltracrn.o: dimphy.o indice_sol_mod.o
+		$(FC) $(FCLMDZFLAGS) cltracrn.f90
+
+traclmdz_mod.o: dimphy.o infotrac.o regr_pr_comb_coefoz_m.o press_coefoz_m.o carbon_cycle_mod.o mod_grid_phy_lmdz.o mod_phys_lmdz_para.o indice_sol_mod.o o3_chem_m.o q_sat.o cltracrn.o minmaxqfi.o initrrnpb.o
+		$(FC) $(FCLMDZFLAGS) traclmdz_mod.f90
+
+inistats.o: 
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) inistats.f90
+
+wstats.o: inistats.o 
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) wstats.f90
+
+iostart.o: dimphy.o mod_grid_phy_lmdz.o mod_phys_lmdz_para.o
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) iostart.f90
+
+wake.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) wake.f90
+
+calwake.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) calwake.f90
+
+hines_gwd.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) hines_gwd.f90
+
+ini_undefSTD.o: dimphy.o phys_state_var_mod.o
+		$(FC) $(FCLMDZFLAGS) ini_undefSTD.f90
+
+moy_undefSTD.o: dimphy.o phys_state_var_mod.o
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) moy_undefSTD.f90
+
+newmicro.o: dimphy.o phys_local_var_mod.o phys_state_var_mod.o
+		$(FC) $(FCLMDZFLAGS) newmicro.f90
+
+phyetat0.o: dimphy.o mod_grid_phy_lmdz.o mod_phys_lmdz_para.o iophy.o ocean_cpl_mod.o fonte_neige_mod.o pbl_surface_mod.o surface_data.o phys_state_var_mod.o iostart.o write_field_phy.o infotrac.o traclmdz_mod.o carbon_cycle_mod.o indice_sol_mod.o 
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) phyetat0.f90
+
+transp.o: dimphy.o 
+		$(FC) $(FCLMDZFLAGS) transp.f90
+
+undefSTD.o: dimphy.o phys_state_var_mod.o
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) undefSTD.f90
+
+stratocu_if.o: indice_sol_mod.o
+		$(FC) $(FCLMDZFLAGS) stratocu_if.f90
+
+thermcell.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) thermcell.f90
+
+wrgradsfi.o: dimphy.o mod_grid_phy_lmdz.o mod_phys_lmdz_para.o wrgrads.o gr_fi_dyn.o 
+		$(FC) $(FCLMDZFLAGS) wrgradsfi.f90
+
+thermcell_old.o: dimphy.o thermcell.o
+		$(FC) $(FCLMDZFLAGS) thermcell_old.f90
+
+thermcell_env.o: thermcell_qsat.o
+		$(FC) $(FCLMDZFLAGS) thermcell_env.f90
+
+thermcellV0_main.o: dimphy.o comgeomphy.o thermcell_env.o thermcell_height.o thermcell_flux2.o thermcell_dq.o thermcell_dv2.o 
+		$(FC) $(FCLMDZFLAGS) thermcellV0_main.f90
+
+thermcell_main.o: dimphy.o comgeomphy.o indice_sol_mod.o thermcell_env.o thermcell_plume.o thermcell_height.o thermcell_dry.o thermcell_closure.o thermcell_flux2.o thermcell_dq.o thermcell_dv2.o  
+		$(FC) $(FCLMDZFLAGS) thermcell_main.f90
+
+calltherm.o: indice_sol_mod.o dimphy.o thermcell_old.o thermcellV0_main.o thermcell_main.o
+		$(FC) $(FCLMDZFLAGS) calltherm.f90
+
+callcratqs.o: clouds_gno.o
+		$(FC) $(FCLMDZFLAGS) callcratqs.f90
+
+fisrtilp.o: dimphy.o cloudth.o
+		$(FC) $(FCLMDZFLAGS) fisrtilp.f90
+
+tracinca_mod.o: dimphy.o infotrac.o vampir.o comgeomphy.o control_mod.o indice_sol_mod.o
+		$(FC) $(FCLMDZFLAGS) tracinca_mod.f90
+
+tracreprobus_mod.o: dimphy.o infotrac.o
+		$(FC) $(FCLMDZFLAGS) tracreprobus_mod.f90
+
+cvltrorig.o: dimphy.o infotrac.o
+		$(FC) $(FCLMDZFLAGS) cvltrorig.f90
+
+cvltr.o: dimphy.o infotrac.o
+		$(FC) $(FCLMDZFLAGS) cvltr.f90
+
+nflxtr.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) nflxtr.f90
+
+lsc_scav.o: dimphy.o mod_grid_phy_lmdz.o mod_phys_lmdz_para.o traclmdz_mod.o infotrac.o comgeomphy.o iophy.o
+		$(FC) $(FCLMDZFLAGS) lsc_scav.f90
+
+cltrac.o: dimphy.o 
+		$(FC) $(FCLMDZFLAGS) cltrac.f90
+
+phytrac.o: phys_cal_mod.o phys_output_mod.o dimphy.o infotrac.o mod_grid_phy_lmdz.o mod_phys_lmdz_para.o comgeomphy.o iophy.o traclmdz_mod.o tracinca_mod.o tracreprobus_mod.o control_mod.o indice_sol_mod.o cvltrorig.o cvltr.o nflxtr.o lsc_scav.o cltrac.o
+		$(FC) $(FCLMDZFLAGS) phytrac.f90
+
+initphysto.o: dimphy.o mod_phys_lmdz_para.o ioipsl.o iophy.o control_mod.o indice_sol_mod.o 
+		$(FC) $(FCLMDZFLAGS) initphysto.f90
+
+phystokenc.o: dimphy.o infotrac.o iophy.o control_mod.o indice_sol_mod.o initphysto.o
+		$(FC) $(FCLMDZFLAGS) phystokenc.f90
+
+ener_conserv.o: phys_local_var_mod.o phys_output_var_mod.o
+		$(FC) $(FCLMDZFLAGS) ener_conserv.f90
+
+calcratqs.o: clouds_gno.o
+		$(FC) $(FCLMDZFLAGS) calcratqs.f90
+
+conf_gcm.o: control_mod.o ioipsl.o ioipsl_getincom.o ioipsl.o infotrac.o assert_m.o
+		$(FC) $(FCLMDZFLAGS) conf_gcm.f90
+
+iniphysiq.o: dimphy.o mod_grid_phy_lmdz.o mod_phys_lmdz_para.o comgeomphy.o suphel.o comcstphy.o phyaqua.o
+		$(FC) $(FCLMDZFLAGS) iniphysiq.f90
+
+init_phys_lmdz.o: mod_phys_lmdz_para.o mod_grid_phy_lmdz.o dimphy.o infotrac.o
+		$(FC) $(FCLMDZFLAGS) init_phys_lmdz.f90
+
+moyglo_aire.o: dimphy.o
+		$(FC) $(FCLMDZFLAGS) moyglo_aire.f90
+
+global_mean.o: dimphy.o mod_phys_lmdz_para.o mod_phys_lmdz_transfert_para.o mod_phys_lmdz_mpi_data.o
+		$(FC) $(FCLMDZFLAGS) global_mean.f90
+
+phyredem.o: dimphy.o mod_grid_phy_lmdz.o mod_phys_lmdz_para.o fonte_neige_mod.o pbl_surface_mod.o phys_state_var_mod.o iostart.o traclmdz_mod.o infotrac.o control_mod.o carbon_cycle_mod.o indice_sol_mod.o
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) phyredem.f90
+
+wrf_lmdz_mod.o: ../frame/module_domain_type.o ../share/module_model_constants.o indice_sol_mod.o phys_state_var_mod.o phys_output_var_mod.o output_lmdz_NOmodule.o suphel.o pbl_surface_mod.o phys_local_var_mod.o comgeomphy.o
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) wrf_lmdz_mod.f90
+
+##module_lmdz_variables.o: pbl_surface_mod.o indice_sol_mod.o fonte_neige_mod.o dimphy.o
+##		$(FC) $(FCLMDZFLAGS) module_lmdz_variables.f90
+
+physiq_limit_variables_mod.o: mod_grid_phy_lmdz.o indice_sol_mod.o
+		$(FC) $(FCLMDZFLAGS) physiq_limit_variables_mod.f90
+
+lmdz_wrf_variables_mod.o: mod_grid_phy_lmdz.o indice_sol_mod.o
+		$(FC) $(FCLMDZFLAGS) lmdz_wrf_variables_mod.f90
+
+%.o: %.mod
+		@true
+
+physiq.o : $(MODULES) $(DIRECTLMDZOBJS) netcdf95.o ../frame/module_domain.o
+		$(CPP) $(ARCHFLAGS) physiq.F90 > physiq.bb
+		$(WRFcode) physiq.bb | $(CPP) > physiq.f90
+		rm physiq.bb
+		$(FC) $(FCLMDZFLAGS) $(LIB_NETCDF) $(INC_NETCDF) physiq.f90
+
+clean:
+	rm *.f90 *.o *.a *.mod
+	@ echo 'use the clean script'
+
+# DEPENDENCIES : only dependencies after this line (don't remove the word DEPENDENCIES)
+
+# DO NOT DELETE
